use `qc`;
-- 技术服务部已执行
-- ALTER TABLE `qc`.`bas_doctor_info` ADD COLUMN `group_id` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '小组id' AFTER `occup`;
-- alter table `med_home_page` modify column `outpatient_emr_diagnose` varchar(500) DEFAULT NULL COMMENT '门急诊诊断';
-- alter table `med_home_page` modify column `qc_nurse` varchar(255) DEFAULT NULL COMMENT '质控护士';
-- alter table `med_home_page` modify column `encode_man` varchar(255) DEFAULT NULL COMMENT '编码员';
-- alter table `med_home_page` modify column `dept_director` varchar(255) DEFAULT NULL COMMENT '科主任';
-- alter table `med_home_page` modify column `cur_post_code` varchar(255) DEFAULT NULL COMMENT '现住址邮编';
-- alter table `med_home_page` modify column `pathology_diagnose_id` varchar(255) DEFAULT NULL COMMENT '病理诊断编号';
-- alter table `med_home_page` modify column `director_doctor` varchar(255) DEFAULT NULL COMMENT '主任医师';
-- alter table `med_home_page` modify column `cur_phone` varchar(255) DEFAULT NULL COMMENT '现住址电话';
-- alter table `med_home_page` modify column `leave_hospital_dept` varchar(255) DEFAULT NULL COMMENT '出院科别';
-- alter table `med_home_page` modify column `response_nurse` varchar(255) DEFAULT NULL COMMENT '责任护士';

-- UPDATE `sys_permission` SET is_deleted = 'Y' WHERE permissionUrl LIKE '/console%' AND is_deleted='N';

-- UPDATE sys_menu_permission SET is_deleted='Y' where permission_id in(select id from  `sys_permission`  WHERE permissionUrl LIKE '/console%') AND is_deleted='N';

-- UPDATE sys_role_permission SET is_deleted='Y'where permission_id in(select id from  `sys_permission`  WHERE permissionUrl LIKE '/console%') AND is_deleted='N';

-- 新增权限
INSERT INTO `sys_permission`(`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES (94, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '条目缺陷占比质控详情页（全院）', 'FUNC000094', '/console/qcResultShortPage', 'ALL', '数据报表明细-条目缺陷占比-条目缺陷占比质控详情页（全院）', NULL);
INSERT INTO `sys_permission`(`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES (95, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '条目缺陷占比质控详情页（科室）', 'FUNC000095', '/consoleByDept/qcResultShortByDeptPage', 'ALL', '数据报表明细（科室）-条目缺陷占比-条目缺陷占比质控详情页（科室）', NULL);
INSERT INTO `sys_role_permission`(`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES (1623, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 94, '数据报表明细-条目缺陷占比-条目缺陷占比质控详情页（全院）');
INSERT INTO `sys_role_permission`(`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES (1624, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 95, '数据报表明细（科室）-条目缺陷占比-条目缺陷占比质控详情页（科室）');
INSERT INTO `sys_menu_permission`(`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES (66, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 20, 94, '数据报表明细-条目缺陷占比-条目缺陷占比质控详情页（全院）');
INSERT INTO `sys_menu_permission`(`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES (67, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 27, 95, '数据报表明细（科室）-条目缺陷占比-条目缺陷占比质控详情页（科室）');


ALTER TABLE `med_behospital_info` ADD INDEX `idx_beh_dept_id` (`beh_dept_id`) USING BTREE;

-- 所有环境、技术服务部已经同步
-- DROP INDEX advice_behospital_code_unique ON med_doctor_advice;
-- ALTER TABLE med_doctor_advice ADD UNIQUE KEY `advice_behospital_code_unique` (`doctor_advice_id`,`hospital_id`,`behospital_code`) USING BTREE;
