package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/4/15 19:44
 */
@Getter
@Setter
public class AverageStatisticsFeeDTO {
    private String id;
    @Excel(name = "科室", width = 30, orderNum = "1")
    private String name;
    private Integer num;
    @Excel(name = "本年平均住院花费（元）", width = 15, orderNum = "2")
    private Double averageValue = 0d;
    private Double totleValue = 0d;
    //环比平均值
    @Excel(name = "去年平均住院花费（元）", width = 15, orderNum = "3")
    private Double lastAverageValue = 0d;
    //同比平均值
    private Double lastYearAverageValue = 0d;
    //科室分类
    private String deptClass;
}
