package com.diagbot.dto;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.Setter;
import java.util.Date;

/**
 * @Description:
 * @author: cy
 * @time: 2020/9/07 15:00
 */
@Getter
@Setter
public class ExamineInfoDTO {
    /**
     * 医院id
     */
    private Long hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 检验类型判别
     */
    private String examineItemType;

    /**
     * 检验项目名称
     */
    private String examineItemName;



    /**
     * 返回检查时间
     */
    private Date checkTime;


    /**
     * 返回报告时间
     */
    private Date reptTime;

    /**
     * 入院时间
     */
    @JsonIgnore
    private Date behospitalDate;

    /**
     * 出院时间
     */
    @JsonIgnore
    private Date leaveHospitalDate;

    /**
     * 开单医生
     */
    private String doctorName;

    /**
     * 报告单号
     */
    private String repNo;

    /**
     * 质检提示信息
     */
    @JsonIgnore
    private String info;
}
