package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:各科室缺陷占比-台州
 * @Author:zhaops
 * @time: 2020/6/22 13:41
 */
@Getter
@Setter
public class LevelStatisticsTZDTO extends LevelStatisticsDTO {
    /**
     * 上级科室id（上级科室编码）
     */
    private String deptClassId;
    /**
     * 上级科室名称
     */
    @Excel(name = "科室系统", orderNum = "1", replace = { "内科系统_内科", "外科系统_外科", "-_null" })
    private String deptClass;
}
