package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:cy
 * @time: 2020/9/9 13:19
 */
@Getter
@Setter
public class MedicalCheckTitleDTO {

    //入院记录未24小时内
    @Excel(name = "入院记录24小时内",orderNum = "1")
    private String ryjlw_24 ;

    //首次病程记录未8小时内
    @Excel(name = "首次病程记录8小时内",orderNum = "2")
    private String scbcjlw_8h;

    @Excel( name = "副主任/主任医师首次查房72小时内完成",orderNum = "3")
    //副主任/主任医师首次查房72小时内未完成
    private String zrsccfw_72h;

    //入院后未连记3天病程
    @Excel(name = "入院后连记3天病程(不包括术后首程)",orderNum = "4")
    private String ryhljbcw_3d;

    //每周至少2次副主任/主任医师查房
    @Excel(name = "每周至少2次副主任/主任医师查房",orderNum = "5")
    private String zrcfw_2w;

    //每周至少3次主治医师查房记录
    @Excel(name = "每周至少3次主治医师查房记录",orderNum = "6")
    private String zzcfw_3w;

    //抢救记录未6小时内完成
    @Excel(name = "抢救记录6小时内完成",orderNum = "7")
    private String qjjlw_6h;

    //会诊记录在会诊申请后未24小时完成
    @Excel(name = "会诊记录在会诊申请后24小时完成",orderNum = "8")
    private String hzjlw_24h;

    //术前讨论、术前小结未完成
    @Excel(name = "术前讨论、术前小结完成",orderNum = "9")
    private String sqtlxjw;

    //手术记录术后24小时内未完成
    @Excel(name = "手术记录术后24小时内完成",orderNum = "10")
    private String sxjlsw_24h;

    //术后首程在术后30分钟内未完成
    @Excel(name = "术后首程在术后30分钟内完成",orderNum = "11")
    private String xhscw_30m;

    //术后主刀查房24小时内未完成
    @Excel(name = "术后主刀查房24小时内完成",orderNum = "12")
    private String shzdcfw_24h;

    //术后未连记3天病程
    @Excel(name = "术后连记3天病程(包括术后首程)",orderNum = "13")
    private String shjbcw_3d;

    //转科后未连记3天病程
    @Excel(name = "转科后连记3天病程(包括专科记录)",orderNum = "14")
    private String zkjbcw_3d;

    //转接科记录专科后24小时内未完成
    @Excel(name = "转接科记录专科后24小时内完成",orderNum = "15")
    private String zkjlw_24;

    //病危/重患者未每日记录病程
    @Excel(name = "病危/重患者每日记录病程",orderNum = "16")
    private String bwzhjlbcw_md;

    //输血后未完成输血记录
    @Excel(name = "输血后完成输血记录",orderNum = "17")
    private String sxhwjl;

    //24小时未完成输血后评价
    @Excel(name = "24小时完成输血后评价",orderNum = "18")
    private String sxpjw_24;

    //危急值未记录
    @Excel(name = "危急值记录",orderNum = "19")
    private String wjzwjl;

    //住院30天未阶段小结
    @Excel(name = "住院30天阶段小结",orderNum = "20")
    private String wywwcxj;

}
