package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-05-15 14:45
 */
@Setter
@Getter
public class ModelHospitalAllDTO {

    private Long id;

    private Long hospitalId;

    private String hospitalModelName;

    private Long standModelId;

    private String standModelName;
    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 备注
     */
    private String remark;
}
