package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @Description:
 * @author: zhoutg
 * @time: 2020/4/14 13:07
 */
@Getter
@Setter
public class MsgDTO {
    //明细主键
    private Long id;
    //得分
    private BigDecimal score;
    //提示信息
    private String msg;
    // 控费标识(1：是控费条目，2：不是控费条目)
    private Integer drgs;
    // 质控形式(1：形式质控，2：内涵质控)
    private Integer type;
    //提示信息
    private String code;
    //提示信息
    private String info;
    //标准提示信息
    private String standardMsg;
    // 操作类型(1：新增，2：删除，3：修改)
    private Integer optType;
    // 初始类型(1：机器，2：人工)
    private Integer gradeType;
    //单项否决
    private String isReject;
    //模块名称
    private String modelName;
    //模块id
    private String modelId;
    //模块ID
    private Long casesId;
    //模块分数
    private BigDecimal casesScore;
    // 条目ID
    private Long casesEntryId;
    // 记录创建时间
    private Date gmtCreate;
    // 记录修改时间,如果时间是1970年则表示纪录未修改
    private Date gmtModified;
    // 条目id对应页面数据的key值
    private List<Long> pageKeyList = new ArrayList<>();
}
