package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/5/6 15:55
 */
@Getter
@Setter
public class NumDTO {
    private String id;
    /**
     * 名称
     */
    @Excel(name = "模块名称", width = 20, orderNum = "1")
    private String name;
    /**
     * 总数
     */
    private Integer totleNum = 0;
    /**
     * 数量
     */
    private Integer num = 0;
    /**
     * 占比
     */
    private Double percent = 0.00d;
    /**
     * 占比（百分比）
     */
    @Excel(name = "缺陷占比", orderNum = "2")
    private String percentStr = "0.00%";
}
