package com.diagbot.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 病历
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-15
 */
@Data
public class QcModeDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 模块名称
     */
    private String name;

    /**
     * 模块名称
     */
    private Long parentId;

    /**
     * 子级模块
     */
    List<QcModeDTO> sonMode = new ArrayList<>();
}
