package com.diagbot.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 质控评分结果信息
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Data
public class QcResultDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 等级
     */
    private String level;

    /**
     * 页面数据
     */
    private String pageData;

    /**
     * 菜单数据
     */
    private String menuData;

    /**
     * 评分类型(1：机器，2：人工)
     */
    private Integer gradeType;

    /**
     * 最后得分
     */
    private BigDecimal scoreRes;

}
