package com.diagbot.dto.data;

import lombok.Getter;
import lombok.Setter;

import java.time.LocalDateTime;

@Getter
@Setter
public class ABasDeptInfoDTO {
    /**
     * 科室编码（HIS导入）
     */
    private String deptId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    private String parentDeptId;

    /**
     * 科室名称
     */
    private String deptName;

    /**
     * 科室类别
     */
    private String deptType;

    /**
     * 首字母拼音
     */
    private String spell;

    /**
     * 区域类别（门诊、工作站、住院等）
     */
    private String station;

}
