package com.diagbot.dto.data;

import java.util.Date;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ADoctorAdviceDTO {

	/**
     * 病人医嘱ID
     */
    private String doctorAdviceId;

    /**
     * 医院id
     */
    private Long hospitalId;

    /**
     * 病人ID
     */
    private String behospitalCode;

    /**
     * 医生开单判别
     */
    private String orderDoctorName;

    /**
     * 医嘱频率判别
     */
    private String frequency;

    /**
     * 父类医嘱ID
     */
    private String parentTypeId;

    /**
     * 医嘱类型判别(嘱托长嘱、长期医嘱等)
     */
    private String doctorAdviceType;

    /**
     * 一次使用数量
     */
    private String usageNum;

    /**
     * 一次用量单位
     */
    private String usageUnit;

    /**
     * 医嘱单次剂量
     */
    private String dose;

    /**
     * 单次剂量单位
     */
    private String doseUnit;

    /**
     * 给药方式
     */
    private String medModeType;

    /**
     * 医嘱频率
     */
    private String daFrequency;

    /**
     * 医嘱处理类型
     */
    private String daDealType;

    /**
     * 医嘱开始时间
     */
    private String daStartDate;

    /**
     * 医嘱项目名称
     */
    private String daItemName;

    /**
     * 医嘱状态判别
     */
    private String daStatus;

    /**
     * 医嘱结束时间
     */
    private String daStopDate;

    /**
     * 医嘱同组序号
     */
    private String daGroupNo;

    /**
     * 医嘱处方类型(检验、描述医嘱、膳食、西药、护理等)
     */
    private String daPrescriptionType;

    /**
     * 医嘱领药类型
     */
    private String daMedType;

    /**
     * 医生嘱托
     */
    private String doctorNotice;

    /**
     * 开单医生ID
     */
    private String doctorId;

    /**
     * 开单医生姓名
     */
    private String doctorName;

    /**
     * 药品类型(0.普药 1.抗生素 2.激素)
     */
    private String medicineType;
}
