package com.diagbot.dto.data;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class AMedCrisisDTO {
    private String recId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 记录类型
     */
    private String recType;

    /**
     * 危急值ID
     */
    private String crisisId;

    /**
     * 危急值名称
     */
    private String crisisName;

    /**
     * 开单科室ID
     */
    private String deptId;

    /**
     * 开单科室名称
     */
    private String deptName;

    /**
     * 开单医生ID
     */
    private String doctorId;

    /**
     * 开单医生姓名
     */
    private String doctorName;

    /**
     * 危急结果值
     */
    private String crisisValue;

    /**
     * 危急值描述
     */
    private String crisisDesc;

    /**
     * 危急值状态
     */
    private String crisisStatus;

    /**
     * 参考上限
     */
    private String crisisTopValue;

    /**
     * 参考下限
     */
    private String crisisLowerValue;

    /**
     * 送检时间
     */
    private String sendDate;

    /**
     * 报告时间
     */
    private String repDate;
}
