package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.NumDTO;
import com.diagbot.dto.QcCasesDTO;
import com.diagbot.entity.QcCases;
import com.diagbot.vo.QcCasesQueryVO;

import java.util.List;

/**
 * <p>
 * 模块数据标准 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2020-04-12
 */
public interface QcCasesMapper extends BaseMapper<QcCases> {
    List<QcCasesDTO> getQcCases(QcCasesQueryVO queryVO);

    /**
     * 按模块统计条目数
     *
     * @return
     */
    List<NumDTO> entryGroupByCase();
}
