package com.diagbot.mapper;

import com.diagbot.dto.SysMenuPermissionDTO;
import com.diagbot.dto.SysRoleMenuDTO;
import com.diagbot.entity.SysRole;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.SysRoleMenuQueryVO;

import java.util.List;

/**
 * <p>
 * 系统角色表 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2020-04-27
 */
public interface SysRoleMapper extends BaseMapper<SysRole> {
    List<SysMenuPermissionDTO> getMenuPermission(SysRoleMenuQueryVO sysRoleMenuQueryVO);
}
