package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.BasDeptInfoDTO;
import com.diagbot.dto.DeptBaseDTO;
import com.diagbot.entity.BasDeptInfo;
import com.diagbot.vo.BasDeptInfoVO;
import com.diagbot.vo.FilterVO;

import java.util.List;

/**
 * <p>
 * 医院科室信息 服务类
 * </p>
 *
 * @author gaodm
 * @since 2020-04-27
 */
public interface BasDeptInfoService extends IService<BasDeptInfo> {
    List<BasDeptInfoDTO> getList(BasDeptInfoVO basDeptInfoVO);

    List<BasDeptInfoDTO> getListUser(BasDeptInfoVO basDeptInfoVO);

    /**
     * 查询用户关联科室
     *
     * @param filterVO
     * @return
     */
    List<DeptBaseDTO> getDeptByUser(FilterVO filterVO);
}
