package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.ExamineInfoDTO;
import com.diagbot.dto.ExamineSonInfoDTO;
import com.diagbot.entity.MedLisInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.vo.ExamineInfoVO;
import com.diagbot.vo.ExamineSonInfoVO;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zhoutg
 * @since 2020-07-28
 */
public interface MedLisInfoService extends IService<MedLisInfo> {
    IPage<ExamineInfoDTO> getExamineInfo(ExamineInfoVO examineInfoVO);
    IPage<ExamineSonInfoDTO> getExamineSonInfo(ExamineSonInfoVO examineSonInfoVO);

}
