package com.diagbot.service.impl;

import com.diagbot.entity.BasDoctorInfo;
import com.diagbot.mapper.BasDoctorInfoMapper;
import com.diagbot.service.BasDoctorInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2020-04-17
 */
@Service
public class BasDoctorInfoServiceImpl extends ServiceImpl<BasDoctorInfoMapper, BasDoctorInfo> implements BasDoctorInfoService {
    /**
     * 根据医生编码和医院编码，批量更新
     * @param list
     */
    public void updateBatchByKey(List<BasDoctorInfo> list){
        this.baseMapper.updateBatchByKey(list);
    }

}
