package com.diagbot.service.impl;

import com.diagbot.entity.HomeOperationInfo;
import com.diagbot.mapper.HomeOperationInfoMapper;
import com.diagbot.service.HomeOperationInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;
/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Service
public class HomeOperationInfoServiceImpl extends ServiceImpl<HomeOperationInfoMapper, HomeOperationInfo> implements HomeOperationInfoService {
    /**
     * 根据病案首页编码、医院编码、手术序号批量更新
     * @param list
     */
    public void updateBatchByKey(List<HomeOperationInfo> list){
        this.baseMapper.updateBatchByKey(list);
    }
}
