package com.diagbot.service.impl;

import com.diagbot.dto.MedLisResultDTO;
import com.diagbot.entity.BehospitalInfo;
import com.diagbot.entity.MedLisResult;
import com.diagbot.mapper.MedLisResultMapper;
import com.diagbot.service.MedLisResultService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2020-08-04
 */
@Service
public class MedLisResultServiceImpl extends ServiceImpl<MedLisResultMapper, MedLisResult> implements MedLisResultService {

    @Override
    public List<MedLisResultDTO> getMedLisResults(BehospitalInfo behospitalInfo) {
        return baseMapper.getMedLisResults(behospitalInfo);
    }
}
