package com.diagbot.service.impl;

import com.diagbot.entity.MedRecordType;
import com.diagbot.mapper.MedRecordTypeMapper;
import com.diagbot.service.MedRecordTypeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import java.util.List;
/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2020-04-13
 */
@Service
public class MedRecordTypeServiceImpl extends ServiceImpl<MedRecordTypeMapper, MedRecordType> implements MedRecordTypeService {
    /**
     * 根据医院编码、文书类型编码批量更新
     * @param list
     */
    public void updateBatchByKey(List<MedRecordType> list){
        this.baseMapper.updateBatchByKey(list);
    }
}
