package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.ModelHospitalAllDTO;
import com.diagbot.entity.ModelHospital;
import com.diagbot.mapper.ModelHospitalMapper;
import com.diagbot.service.ModelHospitalService;
import com.diagbot.vo.ModelHospitalAllVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2020-05-15
 */
@Service
public class ModelHospitalServiceImpl extends ServiceImpl<ModelHospitalMapper, ModelHospital> implements ModelHospitalService {

    @Override
    public IPage<List<ModelHospitalAllDTO>> getModelHospitalAll(ModelHospitalAllVO modelHospitalAllVO) {
        return baseMapper.getModelHospitalAll(modelHospitalAllVO);
    }
}
