package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.QcAbnormalDTO;
import com.diagbot.entity.QcAbnormal;
import com.diagbot.mapper.QcAbnormalMapper;
import com.diagbot.service.QcAbnormalService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.QcAbnormalVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 异常数据监控信息 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2020-05-15
 */
@Service
public class QcAbnormalServiceImpl extends ServiceImpl<QcAbnormalMapper, QcAbnormal> implements QcAbnormalService {
    public IPage<QcAbnormalDTO> getQcAnnormal(QcAbnormalVO qcAbnormalVO){
        return baseMapper.getQcAnnormal(qcAbnormalVO);
    }
}
