package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.SysMenuPermissionDTO;
import com.diagbot.entity.SysRole;
import com.diagbot.mapper.SysRoleMapper;
import com.diagbot.service.SysRoleService;
import com.diagbot.vo.SysRoleMenuQueryVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 系统角色表 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2020-04-27
 */
@Service
public class SysRoleServiceImpl extends ServiceImpl<SysRoleMapper, SysRole> implements SysRoleService {
    @Override
    public List<SysMenuPermissionDTO> getMenuPermission(SysRoleMenuQueryVO sysRoleMenuQueryVO) {
        return baseMapper.getMenuPermission(sysRoleMenuQueryVO);
    }
}
