package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/5/21 19:35
 */
@Getter
@Setter
public class FilterPageByAverageVO extends FilterPageVO {
    /**
     * 上一统计区间起始时间
     */
    @ApiModelProperty(hidden = true)
    private String lastStartDate;
    /**
     * 上一统计区间结束时间
     */
    @ApiModelProperty(hidden = true)
    private String lastEndDate;
    /**
     * 去年同一区间起始时间
     */
    @ApiModelProperty(hidden = true)
    private String lastYearStartDate;
    /**
     * 去年同一区间结束时间
     */
    @ApiModelProperty(hidden = true)
    private String lastYearEndDate;
}