package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @Description: 质控评分模块评分信息
 * @author: gaodm
 * @time: 2020/5/19 9:37
 */
@Getter
@Setter
public class MedQcresultCasesVO {
    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 数据模块ID（0:其他模块）
     */
    private Long casesId;

    /**
     * 最后得分
     */
    private BigDecimal scoreRes;

    /**
     * 等级
     */
    private String level;
}
