package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/4/12 14:38
 */
@Getter
@Setter
public class QcCasesSaveVO {

    /**
     * 主键
     */
    private Long id;

    /**
     * 模块总分
     */
    private BigDecimal score;

    /**
     * 医院ID
     */
    @ApiModelProperty(hidden = true)
    private Long hospitalId;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @ApiModelProperty(hidden = true)
    private Date gmtModified;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @ApiModelProperty(hidden = true)
    private String modifier;
}
