package com.diagbot.vo;

import com.diagbot.entity.BehospitalInfo;
import lombok.Getter;
import lombok.Setter;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description: 业务查询
 * @author: Mark Huang
 * @Time: 2019/04/04 :15:14
 *
 */
@Getter
@Setter
public class QueryVo extends TokenVO {

    private List<MedrecVo> medrec;

    private Map<String, Map<String, String>> inputCatalogueMap = new HashMap<>();

    private String cid;

    private String hospitalId;
    // 是否使用CRF缓存(false: 不使用缓存，true：使用缓存)
    private boolean useCrfCache;
    // 添加基本病历信息
    private BehospitalInfo behospitalInfo;
}
