package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/6/12 10:26
 */
@Getter
@Setter
public class SysUserPagesetVO {
    /**
     * 列名
     */
    @NotBlank(message = "请输入列名")
    private String name;

    /**
     * 列名值
     */
    @NotBlank(message = "请输入列名值")
    private String val;

    /**
     * 是否启用(0:停用，1：启用)
     */
    @NotNull(message = "请输入是否启用装填")
    private Integer status;

    /**
     * 排序号
     */
    @NotNull(message = "请输入排序号")
    private Integer orderNo;
}
