package com.diagbot.vo.data;

import java.sql.Blob;
import lombok.Data;

@Data
public class AMedicalRecordContentVO {
    /**
     * 病历ID
     */
    private String recId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 文书内容（blob）
     */
    private Blob contentBlob;

    /**
     * 病历文本（文本）
     */
    private String contentText;

    /**
     * html文本信息
     */
    private String htmlText;

    /**
     * xml文本信息
     */
    private String xmlText;
}
