package com.diagbot.vo.data;

import java.util.List;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AMedicalRecordVO {

	private String recId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 组织机构代码
     */
    private String orgCode;

    /**
     * 病历类别编号
     */
    private String recTypeId;

    /**
     * 模块id
     */
    private Long modeId;

    /**
     * 病历日期
     */
    private String recDate;

    /**
     * 病历标题
     */
    private String recTitle;

    /**
     * 病历内容
     */
    private List<AMedicalRecordContentVO> contents;
}
