package com.diagbot.vo.data;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.util.List;
import java.util.Map;

@Getter
@Setter
public class AMrContentVO {
    @NotBlank(message = "对接模式类型编码不能为空")
    private String dockModeType;//对接模式类型编码，1:页面模式，2：接口引擎模式

    private String title;

    private List<AMedicalRecordVO> records;

    private Map<String, Object> content;
}
