package com.diagbot.vo.data;

import lombok.Data;

@Data
public class AStrAdmissionNoteVO {

    /**
     * 记录编号
     */
    private String recId;

    /**
     * 医院ID
     */
    private String hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;

    /**
     * 床号
     */
    private String bedNo;

    /**
     * 科别
     */
    private String deptName;

    /**
     * 病历日期
     */
    private String recordDate;

    /**
     * 标题
     */
    private String recTitle;

    /**
     * 出生日期
     */
    private String birthday;

    /**
     * 婚姻状况
     */
    private String marriage;

    /**
     * 职业
     */
    private String jobType;

    /**
     * 民族
     */
    private String nation;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 工作单位
     */
    private String workplace;

    /**
     * 户口地址
     */
    private String registerAddress;

    /**
     * 出生地
     */
    private String bornAddress;

    /**
     * 预产期
     */
    private String expectDate;

    /**
     * 末次月经
     */
    private String lastMenstrual;

    /**
     * 孕/产次
     */
    private String pregnantNum;

    /**
     * 入院日期
     */
    private String behospitalDate;

    /**
     * 病史陈述者
     */
    private String historyTeller;

    /**
     * 主诉
     */
    private String chief;

    /**
     * 现病史
     */
    private String present;

    /**
     * 既往史
     */
    private String pastHistory;

    /**
     * 个人史
     */
    private String personalHistory;

    /**
     * 婚育史
     */
    private String maritalHistory;

    /**
     * 月经史
     */
    private String menstrualHistory;

    /**
     * 家族史
     */
    private String familyHistory;

    /**
     * 喂养史
     */
    private String feedingHistory;

    /**
     * 手术外伤史
     */
    private String operationHistory;

    /**
     * 输血史
     */
    private String bloodHistory;

    /**
     * 传染病史
     */
    private String infectionHistory;

    /**
     * 专科检查
     */
    private String specialVital;

    /**
     * 辅助检查
     */
    private String assistantExam;

    /**
     * 实验室检查
     */
    private String lisExam;

    /**
     * 影像学检查
     */
    private String pacsExam;

    /**
     * 初步诊断
     */
    private String tentativeDiagnosis;

    /**
     * 补充诊断
     */
    private String supplyDiagnosis;

    /**
     * 修正诊断
     */
    private String revisedDiagnosis;

    /**
     * 记录医生
     */
    private String recDoctor;

    /**
     * 记录时间
     */
    private String recDate;

    /**
     * 审核医生
     */
    private String auditDoctor;

    /**
     * 审核时间
     */
    private String auditDate;

    /**
     * 体温
     */
    private String temperature;

    /**
     * 脉搏
     */
    private String pulse;

    /**
     * 呼吸
     */
    private String breathe;

    /**
     * 血压
     */
    private String bloodPressure;

    /**
     * 疼痛
     */
    private String pain;

    /**
     * 体重
     */
    private String weight;

    /**
     * 身高
     */
    private String height;

    /**
     * BMI
     */
    private String bmi;

    /**
     * 结构化数据
     */
    private String wholeData;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private String gmtCreate;

    /**
     * 记录修改时间
     */
    private String gmtModified;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 修改人
     */
    private String modifier;
}
