package com.diagbot.vo.data;

import lombok.Data;

@Data
public class AStrOperativeFirstRecordVO {
    /**
     * 记录编号
     */
    private String recId;

    /**
     * 医院ID
     */
    private String hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;

    /**
     * 床号
     */
    private String bedNo;

    /**
     * 科别
     */
    private String deptName;

    /**
     * 病历日期
     */
    private String recordDate;

    /**
     * 标题
     */
    private String recTitle;

    /**
     * 手术日期
     */
    private String operationDate;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;

    /**
     * 麻醉方式
     */
    private String narcosisType;

    /**
     * 麻醉医师
     */
    private String narcosisDoctor;

    /**
     * 术前诊断
     */
    private String preoperationDiagnosis;

    /**
     * 术（中）后诊断
     */
    private String postoperativeDiagnosis;

    /**
     * 手术人员
     */
    private String operationMan;

    /**
     * 手术名称方式
     */
    private String operationName;

    /**
     * 手术简要经过
     */
    private String operationProcess;

    /**
     * 患者术后情况
     */
    private String postoperativeSituation;

    /**
     * 术后处理措施
     */
    private String postoperativeTreatment;

    /**
     * 术后注意事项
     */
    private String postoperativeNotice;

    /**
     * 术后可能出现的并发症及预防措施
     */
    private String postoperativeComplication;

    /**
     * 手术切除标本
     */
    private String operationSpecimen;

    /**
     * 术中出血量
     */
    private String operationBleed;

    /**
     * 术中输血量
     */
    private String operationBloodTransfusion;

    /**
     * 术中并发症
     */
    private String operationComplication;

    /**
     * 记录医生
     */
    private String recDoctor;

    /**
     * 记录时间
     */
    private String recDate;

    /**
     * 审核医生
     */
    private String auditDoctor;

    /**
     * 审核时间
     */
    private String auditDate;

    /**
     * 结构化数据
     */
    private String wholeData;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private String gmtCreate;

    /**
     * 记录修改时间
     */
    private String gmtModified;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 修改人
     */
    private String modifier;
}
