package com.diagbot.vo.str;

import lombok.Data;

/**
 * <p>
 * 危急值记录
 * </p>
 *
 * @author cy
 * @since 2020-10-09
 */
@Data
public class StrCrisisNoteVO {
    /**
     * 记录编号
     */
    private String recId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;

    /**
     * 床号
     */
    private String bedNo;

    /**
     * 科别
     */
    private String deptName;

    /**
     * 病历日期
     */
    private String recordDate;

    /**
     * 标题
     */
    private String recTitle;

    /**
     * 危急值报告
     */
    private String crisisNote;

    /**
     * 病情分析及处理
     */
    private String briefNote;

    /**
     * 接收时间
     */
    private String recieveDate;

    /**
     * 记录医生
     */
    private String recDoctor;

    /**
     * 记录时间
     */
    private String recDate;

    /**
     * 审核医生
     */
    private String auditDoctor;

    /**
     * 审核时间
     */
    private String auditDate;

    /**
     * 结构化数据
     */
    private String wholeData;

    /**
     * 备注
     */
    private String remark;
}
