use `qc`;

 ALTER TABLE `qc`.`qc_cases_entry` CHANGE `remark` `remark` VARCHAR(1000) CHARSET utf8 COLLATE utf8_general_ci NULL COMMENT '备注';

DROP TABLE IF EXISTS `sys_hospital_set`;
CREATE TABLE `sys_hospital_set` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_id` bigint(20) DEFAULT '0' COMMENT '医院ID',
  `name` varchar(100) DEFAULT NULL COMMENT '配置名称',
  `code` varchar(100) DEFAULT NULL COMMENT '配置编码',
  `value` varchar(255) DEFAULT NULL,
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='医院所有配置信息';

INSERT INTO `sys_hospital_set` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '评分类型', 'score_type', '1', '评分类型(0:120分制,1:100分制)');