use `qc`;
/**
注意：
1、中间表的新增或修改需要按照实际的唯一字段来进行操作
例如：新增sys_role_menu中数据需要sys_menu中的id、menu_id 的id否则可能会失效！！！
2、按照顺序执行
 */
-- 最先执行字段添加
  ALTER TABLE `sys_menu_permission` ADD   `order_nu` INT(11) DEFAULT NULL COMMENT '排序' AFTER `remark`;
-- 1、开放科室菜单
UPDATE `sys_menu` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='数据报表明细(科室)', `parent_id`='-1', `code`='YH-KSZR', `show_status`='1', `maintain_status`='1', `order_no`='-7', `remark`='用户-科室主任' WHERE (`code`='YH-KSZR');
UPDATE `sys_menu` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='控制台(科室)', `parent_id`='-1', `code`='YH-KZTKS', `show_status`='1', `maintain_status`='1', `order_no`='-9', `remark`='用户-控制台（科室）' WHERE (`code`='YH-KZTKS');

-- 2、科室菜单补齐---可能需要修改名称
-- (1)
INSERT INTO `sys_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `parent_id`, `code`, `show_status`, `maintain_status`, `order_no`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关键条目缺陷占比', '18', 'YH-KSZR-GJTMQXZB_XQ', '1', '1', '4', '用户-科室主任-关键条目缺陷占比_详情');
INSERT INTO `sys_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `parent_id`, `code`, `show_status`, `maintain_status`, `order_no`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '出院人数统计', '18', 'YH-KSZR-CYRSTJ_XQ', '1', '1', '6', '用户-科室主任-出院人数统计_详情');
INSERT INTO `sys_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `parent_id`, `code`, `show_status`, `maintain_status`, `order_no`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '入院人数统计', '18', 'YH-KSZR-RYRSTJ_XQ', '1', '1', '6', '用户-科室主任-入院人数统计_详情');
INSERT INTO `sys_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `parent_id`, `code`, `show_status`, `maintain_status`, `order_no`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '质控核查统计', '18', 'YH-KSZR-ZKHCTJ_XQ', '1', '1', '7', '用户-科室主任-质控核查统计_详情');
INSERT INTO `sys_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `parent_id`, `code`, `show_status`, `maintain_status`, `order_no`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '时效性相关统计', '18', 'YH-KSZR-SXXXGTJ_XQ', '1', '1', '8', '用户-科室主任-时效性相关统计_详情');
INSERT INTO `sys_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `parent_id`, `code`, `show_status`, `maintain_status`, `order_no`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31日再入院病人数', '18', 'YH-KSZR-31TZRYRS_XQ', '1', '1', '9', '用户-科室主任-31日再入院病人数_详情');
INSERT INTO `sys_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `parent_id`, `code`, `show_status`, `maintain_status`, `order_no`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '终末病历稽查表', '17', 'YH-ZKK-ZMBLJCB', '1', '1', '15', '用户-质控科-终末病历稽查表');
INSERT INTO `sys_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `parent_id`, `code`, `show_status`, `maintain_status`, `order_no`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '终末病历稽查表', '18', 'YH-KSZR-ZMBLJCS_XQ', '1', '1', '10', '用户-科室主任-终末病历稽查表_详情');
INSERT INTO `sys_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `parent_id`, `code`, `show_status`, `maintain_status`, `order_no`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '运行病历稽查表', '18', 'YH-KSZR-YXBLJCS_XQ', '1', '1', '10', '用户-科室主任-运行病历稽查表_详情');

-- (2)
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '41', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '41', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '41', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '42', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '42', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '42', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '43', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '43', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '43', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '44', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '44', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '44', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '45', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '45', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '45', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1','46', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '46', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '46', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1','47', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '47', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '47', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1','48', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '48', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '48', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1','49', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '49', NULL);
INSERT INTO `sys_role_menu` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '49', NULL);


-- 权限名称修改开始-----------------------------------------------
-- 一、全院控制台
-- 1、去掉多余的权限
UPDATE `sys_permission` SET  `is_deleted`='Y', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='各科室质控平均分_详情', `code`='FUNC000066', `permissionUrl`='/console/getAverageScoreByDeptPage', `method`='ALL', `descritpion`='控制台-各科室质控平均分_详情', `remark`=NULL WHERE (`permissionUrl`='/console/getAverageScoreByDeptPage');
UPDATE `sys_permission` SET `is_deleted`='Y', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='病历相关统计', `code`='FUNC000009', `permissionUrl`='/console/mrStatistics', `method`='ALL', `descritpion`='控制台-病历相关统计', `remark`=NULL WHERE (`permissionUrl`='/console/mrStatistics');
UPDATE `sys_permission` SET `is_deleted`='Y', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='缺陷相关统计', `code`='FUNC000015', `permissionUrl`='/console/resultStatistics', `method`='ALL', `descritpion`='控制台-缺陷相关统计', `remark`=NULL WHERE (`permissionUrl`='/console/resultStatistics');
UPDATE `sys_permission` SET `is_deleted`='Y', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='平均值相关统计', `code`='FUNC000016', `permissionUrl`='/console/averageStatistics', `method`='ALL', `descritpion`='控制台-平均值相关统计', `remark`=NULL WHERE (`permissionUrl`='/console/averageStatistics');
UPDATE `sys_permission` SET `is_deleted`='Y', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='平均住院天数', `code`='FUNC000045', `permissionUrl`='/console/getAverageDayNum', `method`='ALL', `descritpion`='控制台-平均住院天数', `remark`=NULL WHERE (`permissionUrl`='/console/getAverageDayNum');
UPDATE `sys_permission` SET `is_deleted`='Y', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='平均住院费用', `code`='FUNC000046', `permissionUrl`='/console/getAverageFee', `method`='ALL', `descritpion`='控制台-平均住院费用', `remark`=NULL WHERE (`permissionUrl`='/console/getAverageFee');
UPDATE `sys_permission` SET `is_deleted`='Y', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='各科室甲级病历占比', `code`='FUNC000048', `permissionUrl`='/console/getLevelResultDept', `method`='ALL', `descritpion`='控制台-各科室甲级病历占比', `remark`=NULL WHERE (`permissionUrl`='/console/getLevelResultDept');
-- 2、现有的名称替换
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='出院人数统计图表', `code`='FUNC000049', `permissionUrl`='/console/leaveHosCount', `method`='ALL', `descritpion`='控制台-出院人数统计', `remark`=NULL WHERE (`permissionUrl`='/console/leaveHosCount');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='各模块缺陷占比排行图表', `code`='FUNC000051', `permissionUrl`='/console/entryCountGroupByCase', `method`='ALL', `descritpion`='控制台-各模块缺陷占比排行', `remark`=NULL WHERE (`permissionUrl`='/console/entryCountGroupByCase');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='条目缺陷占比图表', `code`='FUNC000052', `permissionUrl`='/console/entryCountGroupByEntry', `method`='ALL', `descritpion`='控制台-条目缺陷占比', `remark`=NULL WHERE (`permissionUrl`='/console/entryCountGroupByEntry');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='病历评分等级占比图表', `code`='FUNC000055', `permissionUrl`='/consoleByDept/mrCountByDept', `method`='ALL', `descritpion`='控制台（科室）-质控病历数统计（科室）', `remark`=NULL WHERE (`permissionUrl`='/consoleByDept/mrCountByDept');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='各科室病历等级占比图表', `code`='FUNC000053', `permissionUrl`='/console/qcResultLevelPercent', `method`='ALL', `descritpion`='控制台-各科室病历等级占比图表', `remark`=NULL WHERE (`permissionUrl`='/console/entryByDept');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='病案首页合格率占比图表', `code`='FUNC000075', `permissionUrl`='/console/homePageLevelLimit', `method`='ALL', `descritpion`='控制台-病案首页合格率占比（首页）', `remark`=NULL WHERE (`permissionUrl`='/console/homePageLevelLimit');

UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='各科室质控平均分柱状图表', `code`='FUNC000047', `permissionUrl`='/console/getAverageScore', `method`='ALL', `descritpion`='控制台-质控平均分按科室统计', `remark`=NULL WHERE (`permissionUrl`='/console/getAverageScore');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='各科室质控平均分柱状图表(内外科系统)', `code`='FUNC000091', `permissionUrl`='/console/getAverageScoreByDeptClass', `method`='ALL', `descritpion`='控制台-各科室质控平均分（首页）-根据内外科系统统计', `remark`=NULL WHERE (`permissionUrl`='/console/getAverageScoreByDeptClass');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='病历评分等级占比图表', `code`='FUNC000050', `permissionUrl`='/console/mrCount', `method`='ALL', `descritpion`='控制台-质控病历统计', `remark`=NULL WHERE (`permissionUrl`='/console/mrCount');

-- 3、新增权限
INSERT INTO `sys_permission` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '入院人数统计图表(运行)', '', '/console/beHosCount', 'ALL', '控制台-入院人数统计图表(运行)', NULL);
INSERT INTO `sys_menu_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`, `order_nu`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '108', '控制台-入院人数统计图表(运行)',10);

INSERT INTO `sys_permission` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '入院24h内未完成图表(运行)', '', '/console/casesEntryStatisticsById', 'ALL', '入院24h内未完成图表(运行)', NULL);
INSERT INTO `sys_menu_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`, `order_nu`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '109', '控制台-入院24h内未完成图表(运行)',11);

INSERT INTO `sys_permission` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '单项否决占比图表', '', '/console/entryRejectPercent', 'ALL', '控制台-单项否决占比图表', NULL);
INSERT INTO `sys_menu_permission` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`, `order_nu`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '110', '控制台-单项否决占比图表',7);

-- 增加图表名称排序
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='1', `permission_id`='49', `remark`='控制台-出院人数统计', `order_nu`='1' WHERE (`id`='36' AND `permission_id`='49');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='1', `permission_id`='51', `remark`='控制台-各模块缺陷占比排行', `order_nu`='2' WHERE (`id`='38' AND  `permission_id`='51');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='1', `permission_id`='52', `remark`='控制台-条目缺陷占比', `order_nu`='3' WHERE (`id`='39' AND  `permission_id`='52');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='1', `permission_id`='50', `remark`='控制台-质控病历统计', `order_nu`='4' WHERE (`id`='37' AND  `permission_id`='50');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='1', `permission_id`='53', `remark`='控制台-各科室缺陷占比', `order_nu`='5' WHERE (`id`='40' AND  `permission_id`='53');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='1', `permission_id`='75', `remark`='控制台-病案首页合格率占比（首页）', `order_nu`='6' WHERE (`id`='59' AND  `permission_id`='75');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='1', `permission_id`='47', `remark`='控制台-质控平均分按科室统计', `order_nu`='8' WHERE (`id`='34' AND  `permission_id`='47');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='1', `permission_id`='91', `remark`='控制台-各科室质控平均分（首页）-根据内外科系统统计', `order_nu`='9' WHERE (`id`='64' AND  `permission_id`='91');

-- 二、全院报表
-- 1、去掉多余的权限

UPDATE `sys_permission` SET `is_deleted`='Y', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='条目缺陷占比质控详情页（全院）', `code`='FUNC000094', `permissionUrl`='/console/qcResultShortPage', `method`='ALL', `descritpion`='数据报表明细-条目缺陷占比-条目缺陷占比质控详情页（全院）', `remark`=NULL WHERE (`permissionUrl`='/console/qcResultShortPage');
UPDATE `sys_permission` SET `is_deleted`='Y', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='条目缺陷占比_详情', `code`='FUNC000060', `permissionUrl`='/console/entryCountGroupByEntryPage', `method`='ALL', `descritpion`='控制台-条目缺陷占比_详情', `remark`=NULL WHERE (`permissionUrl`='/console/entryCountGroupByEntryPage');
UPDATE `sys_permission` SET `is_deleted`='Y', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='各科室缺陷占比-缺陷详情', `code`='FUNC000067', `permissionUrl`='/console/resultStatisticsByDeptPage', `method`='ALL', `descritpion`='控制台-各科室缺陷占比-缺陷详情', `remark`=NULL WHERE (`permissionUrl`='/console/resultStatisticsByDeptPage');

UPDATE `sys_menu` SET `is_deleted`='Y', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='科室平均住院天数', `parent_id`='17', `code`='YH-ZKK-KSPJZYTS_XQ', `show_status`='1', `maintain_status`='1', `order_no`='4', `remark`='用户-质控科-科室平均住院天数_详情' WHERE (`code`='YH-ZKK-KSPJZYTS_XQ');
UPDATE `sys_menu` SET `is_deleted`='Y', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='科室平均住院花费', `parent_id`='17', `code`='YH-ZKK-KSPJZYHF_XQ', `show_status`='1', `maintain_status`='1', `order_no`='5', `remark`='用户-质控科-科室平均住院花费_详情' WHERE (`code`='YH-ZKK-KSPJZYHF_XQ');
UPDATE `sys_menu` SET `is_deleted`='Y', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='各科室质控平均分', `parent_id`='17', `code`='YH-ZKK-GKSZKPJF_XQ', `show_status`='1', `maintain_status`='1', `order_no`='6', `remark`='用户-质控科-各科室质控平均分_详情' WHERE (`code`='YH-ZKK-GKSZKPJF_XQ');
UPDATE `sys_menu` SET `is_deleted`='Y', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='缺陷详情', `parent_id`='17', `code`='YH-ZKK-GKSQXZB', `show_status`='1', `maintain_status`='1', `order_no`='7', `remark`='用户-质控科-各科室缺陷占比_详情' WHERE (`code`='YH-ZKK-GKSQXZB');
UPDATE `sys_menu` SET `is_deleted`='Y', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='各科室甲级病历占比', `parent_id`='17', `code`='YH-ZKK-GKSJJBLZB_XQ', `show_status`='1', `maintain_status`='1', `order_no`='8', `remark`='用户-质控科-各科室甲级病历占比_详情' WHERE (`code`='YH-ZKK-GKSJJBLZB_XQ');


-- 更新报表名称---可能需要改名称
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='病案首页合格占比报表', `code`='FUNC000072', `permissionUrl`='/console/homePageLevelStatistics', `method`='ALL', `descritpion`='报表-病案首页合格率占比', `remark`=NULL WHERE (`permissionUrl`='/console/homePageLevelStatistics');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='条目缺陷占比报表', `code`='FUNC000089', `permissionUrl`='/console/entryGroupByEntryInnerPage', `method`='ALL', `descritpion`='控制台-条目缺陷占比（内页）', `remark`=NULL WHERE (`permissionUrl`='/console/entryGroupByEntryInnerPage');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='关键条目缺陷占比报表', `code`='FUNC000100', `permissionUrl`='/console/entryStatistics', `method`='ALL', `descritpion`='数据报表明细-关键条目缺陷占比', `remark`=NULL WHERE (`permissionUrl`='/console/entryStatistics');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='各模块缺陷占比报表', `code`='FUNC000059', `permissionUrl`='/console/entryCountGroupByCasePage', `method`='ALL', `descritpion`='控制台-各模块缺陷占比报表', `remark`=NULL WHERE (`permissionUrl`='/console/entryCountGroupByCasePage');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='各科室缺陷占比报表', `code`='FUNC000071', `permissionUrl`='/console/levelStatistics', `method`='ALL', `descritpion`='控制台-各科室缺陷占比（组合）', `remark`=NULL WHERE (`permissionUrl`='/console/levelStatistics');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='各科室缺陷占比报表(内外科系统)', `code`='FUNC000092', `permissionUrl`='/console/levelStatisticsByDeptClass', `method`='ALL', `descritpion`='控制台-各科室缺陷占比（内页）-根据内外科系统统计', `remark`=NULL WHERE (`permissionUrl`='/console/levelStatisticsByDeptClass');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='出院人数统计报表', `code`='FUNC000102', `permissionUrl`='/console/leaveHosMRPage', `method`='ALL', `descritpion`='数据报表明细-出院人数统计', `remark`=NULL WHERE (`permissionUrl`='/console/leaveHosMRPage');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='质控核查统计报表', `code`='FUNC000103', `permissionUrl`='/console/qcCheckStatistics', `method`='ALL', `descritpion`='数据表白明细-质控核查统计', `remark`=NULL WHERE (`permissionUrl`='/console/qcCheckStatistics');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='运行病历稽查表报表(运行)', `code`='FUNC000107', `permissionUrl`='/console/medicalCheckForm', `method`='ALL', `descritpion`='数据报表明细-病历稽查表', `remark`=NULL WHERE (`permissionUrl`='/console/medicalCheckForm');
UPDATE `sys_menu` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='运行病历稽查表', `parent_id`='17', `code`='YH-ZKK-YXBLJCB', `show_status`='1', `maintain_status`='1', `order_no`='15', `remark`='用户-质控科-病历稽查表' WHERE (`code`='YH-ZKK-YXBLJCB');


-- 新增报表---可能需要改名称
INSERT INTO `sys_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '时效性相关统计报表', '', '/console/unModifyMRStatistics', 'ALL', '时效性相关统计报表', NULL);
INSERT INTO `sys_menu_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '37', '111', '时效性相关统计报表');

INSERT INTO `sys_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31日再入院病人数报表', '', '/console/reHos31DaysPage', 'ALL', '31日再入院病人数报表', NULL);
INSERT INTO `sys_menu_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '112', '31日再入院病人数报表');

INSERT INTO `sys_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '入院人数统计报表(运行)', '', '/console/leaveHosMRPage', 'ALL', '数据报表明细-入院人数统计', NULL);
INSERT INTO `sys_menu_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '39', '113', '数据报表明细-入院人数统计');

INSERT INTO `sys_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '终末病历稽查表报表', '', '/console/medicalCheckForm', 'ALL', '数据报表明细-终末病历稽查表', NULL);
INSERT INTO `sys_menu_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '47', '114', '数据报表明细-终末病历稽查表');

-- 报表排序
UPDATE `sys_menu` SET  `is_deleted`='N', `name`='入院人数统计', `parent_id`='17', `code`='YH-ZKK-RYRSTJ', `show_status`='1', `maintain_status`='1', `order_no`='16', `remark`='用户-质控科-入院人数统计' WHERE (`code`='YH-ZKK-RYRSTJ');
UPDATE `sys_menu` SET  `is_deleted`='N', `name`='运行病历稽查表', `parent_id`='17', `code`='YH-ZKK-YXBLJCB', `show_status`='1', `maintain_status`='1', `order_no`='17', `remark`='用户-质控科-病历稽查表' WHERE (`code`='YH-ZKK-YXBLJCB');



-- 科室
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='出院人数统计图表', `code`='FUNC000054', `permissionUrl`='/consoleByDept/leaveHosCountByDept', `method`='ALL', `descritpion`='控制台（科室）-出院人数统计（科室）', `remark`=NULL WHERE (`permissionUrl`='/consoleByDept/leaveHosCountByDept');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='各模块缺陷占比排行图表', `code`='FUNC000056', `permissionUrl`='/consoleByDept/entryCountGroupByCaseAndDept', `method`='ALL', `descritpion`='控制台（科室）-各模块缺陷占比排行（科室）', `remark`=NULL WHERE (`permissionUrl`='/consoleByDept/entryCountGroupByCaseAndDept');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='条目缺陷占比图表', `code`='FUNC000057', `permissionUrl`='/consoleByDept/entryCountGroupByEntryAndDept', `method`='ALL', `descritpion`='控制台（科室）-条目缺陷占比（科室）', `remark`=NULL WHERE (`permissionUrl`='/consoleByDept/entryCountGroupByEntryAndDept');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='病历评分等级占比图表', `code`='FUNC000055', `permissionUrl`='/consoleByDept/mrCountByDept', `method`='ALL', `descritpion`='控制台（科室）-质控病历数统计（科室）', `remark`=NULL WHERE (`permissionUrl`='/consoleByDept/mrCountByDept');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='病案首页合格率占比图表', `code`='FUNC000076', `permissionUrl`='/consoleByDept/homePageLevelByDeptLimit', `method`='ALL', `descritpion`='控制台（科室）-病案首页合格率占比（首页）', `remark`=NULL WHERE (`permissionUrl`='/consoleByDept/homePageLevelByDeptLimit');

INSERT INTO `sys_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '入院人数统计图表(运行)', '', '/consoleByDept/beHosCountByDept', 'ALL', '控制台-入院人数统计图表(运行)（科室）', NULL);
INSERT INTO `sys_menu_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`, `order_nu`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '115', '控制台-入院人数统计图表(运行)（科室）',6);

INSERT INTO `sys_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '入院24h内未完成图表(运行)', '', '/consoleByDept/casesEntryStatisticsByDept', 'ALL', '入院24h内未完成图表(运行)（科室）', NULL);
INSERT INTO `sys_menu_permission` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`, `order_nu`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '116', '控制台-入院24h内未完成图表(运行)（科室）',7);

-- 科室排序
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='15', `permission_id`='54', `remark`='控制台（科室）-出院人数统计（科室）', `order_nu`='1' WHERE (`id`='41' AND `permission_id`='54');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='15', `permission_id`='55', `remark`='控制台（科室）-质控病历数统计（科室）', `order_nu`='4' WHERE (`id`='42' AND `permission_id`='55');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='15', `permission_id`='56', `remark`='控制台（科室）-各模块缺陷占比排行（科室）', `order_nu`='2' WHERE (`id`='43' AND `permission_id`='56');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='15', `permission_id`='57', `remark`='控制台（科室）-条目缺陷占比（科室）', `order_nu`='3' WHERE (`id`='44' AND `permission_id`='57');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='15', `permission_id`='76', `remark`='控制台（科室）-病案首页合格率占比（首页）', `order_nu`='5' WHERE (`id`='60' AND `permission_id`='76');

-- 科室控制台去掉多余的权限
UPDATE `sys_permission` SET  `is_deleted`='Y', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='查询用户关联科室', `code`='FUNC000058', `permissionUrl`='/consoleByDept/getDept', `method`='ALL', `descritpion`='控制台（科室）-查询用户关联科室', `remark`=NULL WHERE (`permissionUrl`='/consoleByDept/getDept');



-- 科室报表
UPDATE `sys_permission` SET  `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='病案首页合格占比报表', `code`='FUNC000074', `permissionUrl`='/consoleByDept/homePageLevelStatisticsByDept', `method`='ALL', `descritpion`='报表-病案首页合格率占比（科室）', `remark`=NULL WHERE (`permissionUrl`='/consoleByDept/homePageLevelStatisticsByDept');
UPDATE `sys_permission` SET  `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='各模块缺陷占比报表', `code`='FUNC000069', `permissionUrl`='/consoleByDept/entryCountGroupByCaseAndDeptPage', `method`='ALL', `descritpion`='报表（科室）-各模块缺陷占比_详情', `remark`=NULL WHERE (`permissionUrl`='/consoleByDept/entryCountGroupByCaseAndDeptPage');
UPDATE `sys_permission` SET  `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='条目缺陷占比报表', `code`='FUNC000090', `permissionUrl`='/consoleByDept/entryGroupByEntryAndDeptInnerPage', `method`='ALL', `descritpion`='控制台（科室）-条目缺陷占比-科室（内页）', `remark`=NULL WHERE (`permissionUrl`='/consoleByDept/entryGroupByEntryAndDeptInnerPage');

-- 科室新增报表
INSERT INTO `sys_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关键条目缺陷占比报表', '', '/consoleByDept/entryStatisticsByDept', 'ALL', '(科室)数据报表明细-关键条目缺陷占比', NULL);
INSERT INTO `sys_menu_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '41', '117', '(科室)数据报表明细-关键条目缺陷占比');

INSERT INTO `sys_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '出院人数统计报表', '', '/consoleByDept/leaveHosMRPageByDept', 'ALL', '出院人数统计报表（科室）', NULL);
INSERT INTO `sys_menu_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '42', '118', '出院人数统计报表（科室）');

INSERT INTO `sys_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '质控核查统计报表', '', '/consoleByDept/qcCheckStatisticsByDept', 'ALL', '质控核查统计报表（科室）', NULL);
INSERT INTO `sys_menu_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '44', '119', '质控核查统计报表（科室）');

INSERT INTO `sys_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '时效性相关统计报表', '', '/consoleByDept/unModifyMRSByDept', 'ALL', '时效性相关统计报表（科室）', NULL);
INSERT INTO `sys_menu_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '45', '120', '时效性相关统计报表（科室）');

INSERT INTO `sys_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31日再入院病人数报表', '', '/consoleByDept/reHos31DaysPageByDept', 'ALL', '31日再入院病人数报表（科室）', NULL);
INSERT INTO `sys_menu_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '46', '121', '31日再入院病人数报表（科室）');

INSERT INTO `sys_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '终末病历稽查表报表', '', '/consoleByDept/medicalCheckFormKs', 'ALL', '', NULL);
INSERT INTO `sys_menu_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '48', '122', '病历稽查表报表(科室)');

INSERT INTO `sys_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '运行病历稽查表报表(运行)', '', '/consoleByDept/medicalCheckFormKs', 'ALL', '数据报表明细-运行病历稽查表(科室)', NULL);
INSERT INTO `sys_menu_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '49', '123', '数据报表明细-运行病历稽查表(科室)');

INSERT INTO `sys_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '入院人数统计报表(运行)', '', '/consoleByDept/leaveHosMRPageByDept', 'ALL', '入院人数统计报表（科室）', NULL);
INSERT INTO `sys_menu_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '43', '124', '入院人数统计报表（科室）');

-- 科室报表排序
UPDATE `sys_menu` SET `is_deleted`='N', `parent_id`='18', `code`='YH-KSZR-RYRSTJ_XQ', `show_status`='1', `maintain_status`='1', `order_no`='11', `remark`='用户-科室主任-入院人数统计_详情' WHERE (`code`='YH-KSZR-RYRSTJ_XQ');
UPDATE `sys_menu` SET `is_deleted`='N', `parent_id`='18', `code`='YH-KSZR-YXBLJCS_XQ', `show_status`='1', `maintain_status`='1', `order_no`='12', `remark`='用户-科室主任-运行病历稽查表_详情' WHERE (`code`='YH-KSZR-YXBLJCS_XQ');
UPDATE `sys_menu` SET `is_deleted`='N',  `name`='科室缺陷占比', `parent_id`='18', `code`='YH-KSZR-KSQXZB_XQ', `show_status`='1', `maintain_status`='1', `order_no`='5', `remark`='用户-科室主任-科室缺陷占比_详情' WHERE (`code`='YH-KSZR-KSQXZB_XQ');

-- 科室更新表名
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='科室缺陷占比报表', `code`='FUNC000073', `permissionUrl`='/consoleByDept/levelStatisticsByDept', `method`='ALL', `descritpion`='控制台（科室）-各科室缺陷占比（科室）', `remark`=NULL WHERE (`permissionUrl`='/consoleByDept/levelStatisticsByDept');

-- 去掉多余科室报表权限
UPDATE `sys_permission` SET `is_deleted`='Y', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='条目缺陷占比_详情', `code`='FUNC000070', `permissionUrl`='/consoleByDept/entryCountGroupByEntryAndDeptPage', `method`='ALL', `descritpion`='控制台（科室）-条目缺陷占比_详情', `remark`=NULL WHERE (`permissionUrl`='/consoleByDept/entryCountGroupByEntryAndDeptPage');
UPDATE `sys_permission` SET `is_deleted`='Y', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='条目缺陷占比质控详情页（科室）', `code`='FUNC000095', `permissionUrl`='/consoleByDept/qcResultShortByDeptPage', `method`='ALL', `descritpion`='数据报表明细（科室）-条目缺陷占比-条目缺陷占比质控详情页（科室）', `remark`=NULL WHERE (`permissionUrl`='/consoleByDept/qcResultShortByDeptPage');
UPDATE `sys_permission` SET `is_deleted`='Y', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='科室缺陷占比-缺陷明细', `code`='FUNC000077', `permissionUrl`='/consoleByDept/resultStatisticsByDeptAndDoctorPage', `method`='ALL', `descritpion`='控制台（科室）-科室缺陷占比-缺陷明细', `remark`=NULL WHERE (`permissionUrl`='/consoleByDept/resultStatisticsByDeptAndDoctorPage');


-- 基础数据维护菜单
-- INSERT INTO `sys_permission` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '修改', '', '/qc/qcType/saveOrUpdate', 'ALL', '质控类型维护-修改', NULL);
-- INSERT INTO `sys_permission` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '复制', '', '/qc/qcType/saveOrUpdate', 'ALL', '质控类型维护-复制', NULL);
-- INSERT INTO `sys_permission` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '删除', '', '/qc/qcType/delete', 'ALL', '质控类型维护-删除', NULL);
-- INSERT INTO `sys_permission` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '添加质控类型', '', '/qc/qcType/saveOrUpdate', 'ALL', '质控类型维护-添加质控类型', NULL);

-- INSERT INTO `sys_menu_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '128', '质控类型维护-添加质控类型');
-- INSERT INTO `sys_menu_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '125', '质控类型维护-修改');
-- INSERT INTO `sys_menu_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '126', '质控类型维护-复制');
-- INSERT INTO `sys_menu_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '127', '质控类型维护-删除');

-- 开放科室/全院质控类型维护查询等接口
-- INSERT INTO `sys_role_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '78', '用户-质控类型维护-分页列表');
-- INSERT INTO `sys_role_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '78', '用户-质控类型维护-分页列表');
-- INSERT INTO `sys_role_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '83', '用户-质控类型维护-根据id返回内容');
-- INSERT INTO `sys_role_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '83', '用户-质控类型维护-根据id返回内容');
-- INSERT INTO `sys_role_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '80', '用户-质控类型维护-新增时质控条目分组信息');
-- INSERT INTO `sys_role_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '80', '用户-质控类型维护-新增时质控条目分组信息');


-- UPDATE `sys_menu` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='质控类型维护', `parent_id`='2', `code`='YH-JCSJWH-ZKLXWH', `show_status`='1', `maintain_status`='1', `order_no`='3', `remark`='用户-基础数据维护-质控类型维护' WHERE (`code`='YH-JCSJWH-ZKLXWH');
-- INSERT INTO `sys_role_menu` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '32', '用户-基础数据维护-质控类型维护');
-- INSERT INTO `sys_role_menu` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '32', '用户-基础数据维护-质控类型维护');


-- INSERT INTO `sys_role_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '125', '质控类型维护-修改');
-- INSERT INTO `sys_role_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '125', '质控类型维护-修改');
-- INSERT INTO `sys_role_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '125', '质控类型维护-修改');
-- INSERT INTO `sys_role_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '126', '质控类型维护-复制');
-- INSERT INTO `sys_role_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '126', '质控类型维护-复制');
-- INSERT INTO `sys_role_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '126', '质控类型维护-复制');
-- INSERT INTO `sys_role_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '127', '质控类型维护-删除');
-- INSERT INTO `sys_role_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '127', '质控类型维护-删除');
-- INSERT INTO `sys_role_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '127', '质控类型维护-删除');
-- INSERT INTO `sys_role_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '128', '质控类型维护-添加质控类型');
-- INSERT INTO `sys_role_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '128', '质控类型维护-添加质控类型');
-- INSERT INTO `sys_role_permission` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '128', '质控类型维护-添加质控类型');

-- 名称
UPDATE `sys_menu` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='基础数据维护', `parent_id`='-1', `code`='YH-JCSJWH', `show_status`='1', `maintain_status`='1', `order_no`='2', `remark`='用户-基础数据维护' WHERE (`code`='YH-JCSJWH');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='修改', `code`='FUNC000004', `permissionUrl`='/qc/cases/saveQcCases', `method`='ALL', `descritpion`='用户-基础数据维护-修改医院模块数据', `remark`=NULL WHERE (`permissionUrl`='/qc/cases/saveQcCases');
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='修改', `code`='FUNC000007', `permissionUrl`='/qc/casesEntryHospital/updataQcCasesEntry', `method`='ALL', `descritpion`='用户-条目数据维护-修改医院条目数据信息', `remark`=NULL WHERE (`permissionUrl`='/qc/casesEntryHospital/updataQcCasesEntry');



-- 基础功能
UPDATE `sys_menu` SET  `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='基本信息', `parent_id`='-1', `code`='YH-QBYH-JCGN', `show_status`='0', `maintain_status`='1', `order_no`='-14', `remark`='用户-基础功能' WHERE (`code`='YH-QBYH-JCGN');


-- 全院菜单

UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='评分', `code`='FUNC000017', `permissionUrl`='/qc/behospitalInfo/analyze', `method`='ALL', `descritpion`='用户-质控评分-评分', `remark`=NULL WHERE (`permissionUrl`='/qc/behospitalInfo/analyze' AND id = 17 );
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='新增缺陷详情', `code`='FUNC000011', `permissionUrl`='/qc/behospitalInfo/addCase', `method`='ALL', `descritpion`='用户-质控评分-新增质控条目', `remark`=NULL WHERE (`permissionUrl`='/qc/behospitalInfo/addCase' AND id = 11);
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='删除缺陷详情', `code`='FUNC000012', `permissionUrl`='/qc/behospitalInfo/delCase', `method`='ALL', `descritpion`='用户-质控评分-删除质控条目', `remark`=NULL WHERE (`permissionUrl`='/qc/behospitalInfo/delCase' AND id = 12);
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='修改缺陷详情', `code`='FUNC000013', `permissionUrl`='/qc/behospitalInfo/updCase', `method`='ALL', `descritpion`='用户-质控评分-修改质控条目', `remark`=NULL WHERE (`permissionUrl`='/qc/behospitalInfo/updCase' AND id = 13);
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='病案首页&病历核查', `code`='FUNC000014', `permissionUrl`='/qc/medCheckInfo/addMedCheckInfo', `method`='ALL', `descritpion`='用户-核查数据接口', `remark`=NULL WHERE (`permissionUrl`='/qc/medCheckInfo/addMedCheckInfo' AND id = 101);
-- 排序
UPDATE `sys_menu_permission` SET `is_deleted`='N',  `menu_id`='7', `permission_id`='17', `remark`='用户-质控评分-评分', `order_nu`='1' WHERE (`id`='12' and `permission_id`='17');
UPDATE `sys_menu_permission` SET `is_deleted`='N',  `menu_id`='7', `permission_id`='101', `remark`='用户-质控评分-核查数据接口', `order_nu`='2' WHERE (`id`='73' and `permission_id`='101');
UPDATE `sys_menu_permission` SET `is_deleted`='N',  `menu_id`='7', `permission_id`='11', `remark`='用户-质控评分-新增质控条目', `order_nu`='3' WHERE (`id`='14' and `permission_id`='11');
UPDATE `sys_menu_permission` SET `is_deleted`='N',  `menu_id`='7', `permission_id`='13', `remark`='用户-质控评分-修改质控条目', `order_nu`='4' WHERE (`id`='16' and `permission_id`='13');
UPDATE `sys_menu_permission` SET `is_deleted`='N',  `menu_id`='7', `permission_id`='12', `remark`='用户-质控评分-删除质控条目', `order_nu`='5' WHERE (`id`='15' and `permission_id`='12');

-- 科室菜单
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='评分', `code`='FUNC000017', `permissionUrl`='/qc/behospitalInfo/analyze', `method`='ALL', `descritpion`='用户-质控评分(科室)-评分', `remark`=NULL WHERE (`permissionUrl`='/qc/behospitalInfo/analyze' AND id = 34 );
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='新增缺陷详情', `code`='FUNC000011', `permissionUrl`='/qc/behospitalInfo/addCase', `method`='ALL', `descritpion`='用户-质控评分(科室)-新增质控条目', `remark`=NULL WHERE (`permissionUrl`='/qc/behospitalInfo/addCase' AND id = 35);
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='删除缺陷详情', `code`='FUNC000012', `permissionUrl`='/qc/behospitalInfo/delCase', `method`='ALL', `descritpion`='用户-质控评分(科室)-删除质控条目', `remark`=NULL WHERE (`permissionUrl`='/qc/behospitalInfo/delCase' AND id = 36);
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='修改缺陷详情', `code`='FUNC000013', `permissionUrl`='/qc/behospitalInfo/updCase', `method`='ALL', `descritpion`='用户-质控评分(科室)-修改质控条目', `remark`=NULL WHERE (`permissionUrl`='/qc/behospitalInfo/updCase' AND id = 37);
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='病案首页&病历核查', `code`='FUNC000014', `permissionUrl`='/qc/medCheckInfo/addMedCheckInfo', `method`='ALL', `descritpion`='用户-核查数据接口（科室）', `remark`=NULL WHERE (`permissionUrl`='/qc/medCheckInfo/addMedCheckInfo' AND id = 105);
-- 排序
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='9', `permission_id`='34', `remark`='用户-质控评分(科室)-评分', `order_nu`='1' WHERE (`id`='19' and `permission_id`='34');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='9', `permission_id`='105', `remark`='用户-质控评分(科室)-核查数据接口', `order_nu`='2' WHERE (`id`='74' and `permission_id`='105');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='9', `permission_id`='35', `remark`='用户-质控评分(科室)-新增质控条目', `order_nu`='3' WHERE (`id`='21' and `permission_id`='35');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='9', `permission_id`='37', `remark`='用户-质控评分(科室)-修改质控条目', `order_nu`='4' WHERE (`id`='23' and `permission_id`='37');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='9', `permission_id`='36', `remark`='用户-质控评分(科室)-删除质控条目', `order_nu`='5' WHERE (`id`='22' and `permission_id`='36');

-- 个人菜单
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='评分', `code`='FUNC000017', `permissionUrl`='/qc/behospitalInfo/analyze', `method`='ALL', `descritpion`='用户-质控评分(个人)-评分', `remark`=NULL WHERE (`permissionUrl`='/qc/behospitalInfo/analyze' AND id = 40 );
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='新增缺陷详情', `code`='FUNC000011', `permissionUrl`='/qc/behospitalInfo/addCase', `method`='ALL', `descritpion`='用户-质控评分(个人)-新增质控条目', `remark`=NULL WHERE (`permissionUrl`='/qc/behospitalInfo/addCase' AND id = 41);
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='删除缺陷详情', `code`='FUNC000012', `permissionUrl`='/qc/behospitalInfo/delCase', `method`='ALL', `descritpion`='用户-质控评分(个人)-删除质控条目', `remark`=NULL WHERE (`permissionUrl`='/qc/behospitalInfo/delCase' AND id = 42);
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='修改缺陷详情', `code`='FUNC000013', `permissionUrl`='/qc/behospitalInfo/updCase', `method`='ALL', `descritpion`='用户-质控评分(个人)-修改质控条目', `remark`=NULL WHERE (`permissionUrl`='/qc/behospitalInfo/updCase' AND id = 43);
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='病案首页&病历核查', `code`='FUNC000014', `permissionUrl`='/qc/medCheckInfo/addMedCheckInfo', `method`='ALL', `descritpion`='用户-核查数据接口', `remark`=NULL WHERE (`permissionUrl`='/qc/medCheckInfo/addMedCheckInfo' AND `id`='104');
-- 排序
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='10', `permission_id`='40', `remark`='用户-质控评分(科室)-评分', `order_nu`='1' WHERE (`id`='19' and `permission_id`='40');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='10', `permission_id`='104', `remark`='用户-质控评分(科室)-核查数据接口', `order_nu`='2' WHERE (`id`='74' and `permission_id`='104');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='10', `permission_id`='41', `remark`='用户-质控评分(科室)-新增质控条目', `order_nu`='3' WHERE (`id`='21' and `permission_id`='41');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='10', `permission_id`='43', `remark`='用户-质控评分(科室)-修改质控条目', `order_nu`='4' WHERE (`id`='23' and `permission_id`='43');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='10', `permission_id`='42', `remark`='用户-质控评分(科室)-删除质控条目', `order_nu`='5' WHERE (`id`='22' and `permission_id`='42');

-- 医疗组菜单
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='评分', `code`='FUNC000017', `permissionUrl`='/qc/behospitalInfo/analyze', `method`='ALL', `descritpion`='用户-医疗组-评分', `remark`=NULL WHERE (`permissionUrl`='/qc/behospitalInfo/analyze'AND id = 96);
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='新增缺陷详情', `code`='FUNC000011', `permissionUrl`='/qc/behospitalInfo/addCase', `method`='ALL', `descritpion`='用户-医疗组-新增质控条目', `remark`=NULL WHERE (`permissionUrl`='/qc/behospitalInfo/addCase' AND id = 97);
UPDATE `sys_permission` SET `is_deleted`='N',`gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='删除缺陷详情', `code`='FUNC000012', `permissionUrl`='/qc/behospitalInfo/delCase', `method`='ALL', `descritpion`='用户-医疗组-删除质控条目', `remark`=NULL WHERE (`permissionUrl`='/qc/behospitalInfo/delCase' AND id = 98);
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='修改缺陷详情', `code`='FUNC000013', `permissionUrl`='/qc/behospitalInfo/updCase', `method`='ALL', `descritpion`='用户-医疗组-修改质控条目', `remark`=NULL WHERE (`permissionUrl`='/qc/behospitalInfo/updCase' AND id = 99);
UPDATE `sys_permission` SET `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='病案首页&病历核查', `code`='FUNC000014', `permissionUrl`='/qc/medCheckInfo/addMedCheckInfo', `method`='ALL', `descritpion`='用户-核查数据接口（医疗组）', `remark`=NULL WHERE (`permissionUrl`='/qc/medCheckInfo/addMedCheckInfo' AND id = 106);
-- 排序
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='33', `permission_id`='96', `remark`='用户-质控评分(科室)-评分', `order_nu`='1' WHERE (`id`='19' and `permission_id`='96');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='33', `permission_id`='106', `remark`='用户-质控评分(科室)-核查数据接口', `order_nu`='2' WHERE (`id`='74' and `permission_id`='106');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='33', `permission_id`='97', `remark`='用户-质控评分(科室)-新增质控条目', `order_nu`='3' WHERE (`id`='21' and `permission_id`='97');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='33', `permission_id`='99', `remark`='用户-质控评分(科室)-修改质控条目', `order_nu`='4' WHERE (`id`='23' and `permission_id`='99');
UPDATE `sys_menu_permission` SET `is_deleted`='N', `menu_id`='33', `permission_id`='98', `remark`='用户-质控评分(科室)-删除质控条目', `order_nu`='5' WHERE (`id`='22' and `permission_id`='98');



-- 报表可配置
INSERT INTO `sys_hospital_set` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `name`, `code`, `value`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '未整改病历统计-科室(长兴)', 'unmodify_mr_entry_ks', '2658--入院记录24h内未完成,2686--首程8h内未完成,3010--入院后未连记3天,2656--主治48h未查房,2657--主任72h未查房,2170--术后24h无手术记录,2930--术后首程未即刻完成,2900--术后24h内无主刀查房,2229--术后未连记3天,2220--病危无1天1记,2221--病重无2天1记,2655--主任每周无2次查房,2654--主治每周无3次查房,2218--转入记录24h内未完成,2217--转入后未连记3天,2495--无阶段小结', '未整改病历统计-科室(长兴)');
INSERT INTO `sys_hospital_set`  (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `name`, `code`, `value`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '未整改病历统计-科室(邵逸夫)', 'unmodify_mr_entry_ks', '2658--入院记录24h内未完成,2686--首程8h内未完成,3010--入院后未连记3天,2656--主治48h未查房,2657--主任72h未查房,2170--术后24h无手术记录,2930--术后首程未即刻完成,2900--术后24h内无主刀查房,2229--术后未连记3天,2220--病危无1天1记,2221--病重无2天1记,2655--主任每周无2次查房,2654--主治每周无3次查房,2218--转入记录24h内未完成,2217--转入后未连记3天,2495--无阶段小结', '未整改病历统计-科室(邵逸夫)');
INSERT INTO `sys_hospital_set` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `name`, `code`, `value`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '未整改病历统计-科室(台州)', 'unmodify_mr_entry_ks', '2658--入院记录24h内未完成,2686--首程8h内未完成,3010--入院后未连记3天,2656--主治48h未查房,2657--主任72h未查房,2170--术后24h无手术记录,2930--术后首程未即刻完成,2900--术后24h内无主刀查房,2229--术后未连记3天,2220--病危无1天1记,2221--病重无2天1记,2655--主任每周无2次查房,2654--主治每周无3次查房,2218--转入记录24h内未完成,2217--转入后未连记3天,2495--无阶段小结', '未整改病历统计-科室(台州)');
INSERT INTO `sys_hospital_set`  (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `name`, `code`, `value`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '未整改病历统计-科室(北仑)', 'unmodify_mr_entry_ks', '2658--入院记录24h内未完成,2686--首程8h内未完成,3010--入院后未连记3天,2656--主治48h未查房,2657--主任72h未查房,2170--术后24h无手术记录,2930--术后首程未即刻完成,2900--术后24h内无主刀查房,2229--术后未连记3天,2220--病危无1天1记,2221--病重无2天1记,2655--主任每周无2次查房,2654--主治每周无3次查房,2218--转入记录24h内未完成,2217--转入后未连记3天,2495--无阶段小结', '未整改病历统计-科室(北仑)');
INSERT INTO `sys_hospital_set` (`is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `name`, `code`, `value`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '未整改病历统计-科室(义乌)', 'unmodify_mr_entry_ks', '2658--入院记录24h内未完成,2686--首程8h内未完成,3010--入院后未连记3天,2656--主治48h未查房,2657--主任72h未查房,2170--术后24h无手术记录,2930--术后首程未即刻完成,2900--术后24h内无主刀查房,2229--术后未连记3天,2220--病危无1天1记,2221--病重无2天1记,2655--主任每周无2次查房,2654--主治每周无3次查房,2218--转入记录24h内未完成,2217--转入后未连记3天,2495--无阶段小结', '未整改病历统计-科室(义乌)');
INSERT INTO `sys_hospital_set` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `name`, `code`, `value`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '病历稽查表-科室(长兴)', 'medical_check_form_ks', '2658--入院记录24小时内,2686--首次病程记录8小时内,2657--副主任/主任医师首次查房72小时内完成,3010--入院后连记3天病程(不包括术后首程),2655--每周至少2次副主任/主任医师查房,2654--每周至少3次主治医师查房记录,2852--抢救记录6小时内完成,2287--会诊记录在会诊申请后24小时完成,3025--术前讨论、术前小结完成,2170--手术记录术后24小时内完成,2930--术后首程在术后30分钟内完成,2900--术后主刀查房24小时内完成,2229--术后连记3天病程(包括术后首程),2217--转科后连记3天病程(包括专科记录),2218--转接科记录专科后24小时内完成,2220--病危/重患者每日记录病程,2486--输血后完成输血记录,3063--24小时完成输血后评价,3062--危急值记录,2495--住院30天阶段小结', '病历稽查表-科室(长兴)');
INSERT INTO `sys_hospital_set` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `name`, `code`, `value`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '病历稽查表-科室(邵逸夫)', 'medical_check_form_ks', '2658--入院记录24小时内,2686--首次病程记录8小时内,2657--副主任/主任医师首次查房72小时内完成,3010--入院后连记3天病程(不包括术后首程),2655--每周至少2次副主任/主任医师查房,2654--每周至少3次主治医师查房记录,2852--抢救记录6小时内完成,2287--会诊记录在会诊申请后24小时完成,3025--术前讨论、术前小结完成,2170--手术记录术后24小时内完成,2930--术后首程在术后30分钟内完成,2900--术后主刀查房24小时内完成,2229--术后连记3天病程(包括术后首程),2217--转科后连记3天病程(包括专科记录),2218--转接科记录专科后24小时内完成,2220--病危/重患者每日记录病程,2486--输血后完成输血记录,3063--24小时完成输血后评价,3062--危急值记录,2495--住院30天阶段小结', '病历稽查表-科室(邵逸夫)');
INSERT INTO `sys_hospital_set` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `name`, `code`, `value`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '病历稽查表-科室(台州)', 'medical_check_form_ks', '2658--入院记录24小时内,2686--首次病程记录8小时内,2657--副主任/主任医师首次查房72小时内完成,3010--入院后连记3天病程(不包括术后首程),2655--每周至少2次副主任/主任医师查房,2654--每周至少3次主治医师查房记录,2852--抢救记录6小时内完成,2287--会诊记录在会诊申请后24小时完成,3025--术前讨论、术前小结完成,2170--手术记录术后24小时内完成,2930--术后首程在术后30分钟内完成,2900--术后主刀查房24小时内完成,2229--术后连记3天病程(包括术后首程),2217--转科后连记3天病程(包括专科记录),2218--转接科记录专科后24小时内完成,2220--病危/重患者每日记录病程,2486--输血后完成输血记录,3063--24小时完成输血后评价,3062--危急值记录,2495--住院30天阶段小结', '病历稽查表-科室(台州)');
INSERT INTO `sys_hospital_set` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `name`, `code`, `value`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '病历稽查表-科室(北仑)', 'medical_check_form_ks', '2658--入院记录24小时内,2686--首次病程记录8小时内,2657--副主任/主任医师首次查房72小时内完成,3010--入院后连记3天病程(不包括术后首程),2655--每周至少2次副主任/主任医师查房,2654--每周至少3次主治医师查房记录,2852--抢救记录6小时内完成,2287--会诊记录在会诊申请后24小时完成,3025--术前讨论、术前小结完成,2170--手术记录术后24小时内完成,2930--术后首程在术后30分钟内完成,2900--术后主刀查房24小时内完成,2229--术后连记3天病程(包括术后首程),2217--转科后连记3天病程(包括专科记录),2218--转接科记录专科后24小时内完成,2220--病危/重患者每日记录病程,2486--输血后完成输血记录,3063--24小时完成输血后评价,3062--危急值记录,2495--住院30天阶段小结', '病历稽查表-科室(北仑)');
INSERT INTO `sys_hospital_set` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `hospital_id`, `name`, `code`, `value`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '病历稽查表-科室(义乌)', 'medical_check_form_ks', '2658--入院记录24小时内,2686--首次病程记录8小时内,2657--副主任/主任医师首次查房72小时内完成,3010--入院后连记3天病程(不包括术后首程),2655--每周至少2次副主任/主任医师查房,2654--每周至少3次主治医师查房记录,2852--抢救记录6小时内完成,2287--会诊记录在会诊申请后24小时完成,3025--术前讨论、术前小结完成,2170--手术记录术后24小时内完成,2930--术后首程在术后30分钟内完成,2900--术后主刀查房24小时内完成,2229--术后连记3天病程(包括术后首程),2217--转科后连记3天病程(包括专科记录),2218--转接科记录专科后24小时内完成,2220--病危/重患者每日记录病程,2486--输血后完成输血记录,3063--24小时完成输血后评价,3062--危急值记录,2495--住院30天阶段小结', '病历稽查表-科室(义乌)');



-- =======================ok分割线===================================



