package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.excel.annotation.ExcelCollection;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/6/2 19:35
 */
@Getter
@Setter
public class ExportExcelBehospitalDTO {
    @Excel(name = "主管医生", needMerge = true)
    private String doctorName;
    @Excel(name = "患者姓名", needMerge = true)
    private String patName;
    @Excel(name = "住院号", needMerge = true)
    private String behospitalCode;
    @Excel(name = "入院时间", needMerge = true, exportFormat = "yyyy/MM/dd")
    private Date behospitalDate;
    @Excel(name = "出院时间", needMerge = true, exportFormat = "yyyy/MM/dd")
    private Date leaveHospitalDate;
    @Excel(name = "分数", needMerge = true)
    private Double score;
    @Excel(name = "病案首页分数", needMerge = true)
    private Double scoreBn;
    @ExcelCollection(name = "")
    private List<ExportExcelCaseDTO> exportExcelCaseDTOS;

}
