package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/6/2 19:57
 */
@Getter
@Setter
public class ExportQcresultDTO {
    /**
     * 科室编码/科室id
     */
    private String deptId;
    /**
     * 科室名称
     */
    private String deptName;
    /**
     * 主管医生名称（主任医生+主治医生）
     */
    private String doctorName;
    /**
     * 患者姓名
     */
    private String patientName;
    /**
     * 病历号
     */
    private String behospitalCode;
    /**
     * 入院日期
     */
    private String behospitalDate;
    /**
     * 出院日期
     */
    private String leaveHospitalDate;
    /**
     * 质控评分
     */
    private Double scoreRes;
    /**
     * 科室质控平均分
     */
    private Double averageScore;
    /**
     * 存在问题
     */
    private String msg;
    /**
     * 错误所属区块
     */
    private String casesName;
}
