package com.diagbot.dto;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoutg
 * @since 2020-08-04
 */
@Data
public class MedPacsResultDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 报告单号
     */
    private String repNo;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 住院病人ID
     */
    private String behospitalCode;

    /**
     * 报告名称
     */
    private String reptName;

    /**
     * 检查部位
     */
    private String part;

    /**
     * 检查所见
     */
    private String clinicSight;

    /**
     * 检查结果诊断
     */
    private String reptDiag;

    /**
     * 观察记录
     */
    private String remark;

    /**
     * 临床诊断
     */
    private String clinicDiag;

    /**
     * 申请医生
     */
    private String applyDoctor;

    /**
     * 审核医生
     */
    private String checkerDoctor;

    /**
     * 报告医生
     */
    private String reportDoctor;

    /**
     * 科室名称
     */
    private String deptName;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private LocalDateTime gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private LocalDateTime gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;
}
