package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.excel.annotation.ExcelCollection;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

/**
 * @Description:
 * @Author:cy
 * @time: 2020/9/9 13:19
 */
@Getter
@Setter
public class MedicalCheckExportDTO  {

    //科室名称
    @Excel(name = "科室",width = 18,needMerge = true,orderNum = "1")
    private String deptName;

    @ExcelCollection(name = "",orderNum = "2")
    private List<MedicalDoctorExportDTO> medicalDoctorExportDTOS;
}
