package com.diagbot.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 质控条目对应页面数据映射表
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-20
 */
@Data
public class QcCasesEntryPagedataDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 质控条目id
     */
    private Long casesEntryId;

    /**
     * 页面数据对应的key
     */
    private String pageKey;
}

