package com.diagbot.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 质控评分结果信息
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Data
public class QcResultApiDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    //得分
    private BigDecimal scoreRes;
    //等级
    private String level;
    //缺陷总数
    private Long num;
    //缺陷总扣分
    private BigDecimal numScore;

}
