package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * icss字典表
 * </p>
 *
 * @author zhoutg
 * @since 2018-12-25
 */
@Getter
@Setter
public class SysDictionaryInfoDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 分组（值自定义）
     */
    private Long groupType;

    /**
     * 内容
     */
    private String name;

    /**
     * 值
     */
    private String val;


    /**
     * 排序号
     */
    private Integer orderNo;

    /**
     * 备注
     */
    private String remark;

}
