package com.diagbot.dto.data;

import com.diagbot.vo.data.AMedicalRecordContentVO;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class AMedicalRecordDTO {
	private String recId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 组织机构代码
     */
    private String orgCode;

    /**
     * 病历类别编号
     */
    private String recTypeId;

    /**
     * 病历日期
     */
    private String recDate;

    /**
     * 病历标题
     */
    private String recTitle;

    /**
     * 病历内容
     */
    private List<AMedicalRecordContentVO> contents;
}
