package com.diagbot.entity;

import lombok.Data;

import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author cy
 * @since 2020-12-11
 */
@Data
public class MedNurse implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 单号
     */
    private String repNo;

    /**
     * 医院ID
     */
    private Integer hospitalId;

    /**
     * 住院病人ID
     */
    private String behospitalCode;

    /**
     * 测量时间
     */
    private Date measureTime;

    /**
     * 生命体征名称
     */
    private String itemName;

    /**
     * 生命体征数值
     */
    private String itemValue;

    /**
     * 生命体征单位
     */
    private String itemUnit;

    /**
     * 生命体征类型
     */
    private String itemType;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private LocalDateTime gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private LocalDateTime gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;
}
