package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.QuestionEntryDTO;
import com.diagbot.entity.QcQuestionInfo;
import com.diagbot.entity.wrapper.QuestionInfoWrapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 标签基础表 Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-27
 */
public interface QcQuestionInfoMapper extends BaseMapper<QcQuestionInfo> {

    public List<QuestionInfoWrapper> getByQuestionMapping(Map map);

    public List<QuestionEntryDTO> getByCaseEntryIds(Map map);

}
