package com.diagbot.mapper;

import com.diagbot.dto.QcCasesEntrySimpleDTO;
import com.diagbot.entity.QcTypeCasesEntry;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.QcTypeVO;

import java.util.List;

/**
 * <p>
 * 质控类型和质控条目关联表 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2020-04-13
 */
public interface QcTypeCasesEntryMapper extends BaseMapper<QcTypeCasesEntry> {

    List<QcCasesEntrySimpleDTO> getByTypeId(QcTypeVO qcTypeVO);
}
