package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.RecordContentDTO;
import com.diagbot.entity.MedicalRecord;
import com.diagbot.vo.RecordContentVO;
import com.diagbot.vo.RecordDataVO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
public interface MedicalRecordService extends IService<MedicalRecord> {

    public List<RecordContentDTO> getRecordContent(RecordContentVO recordContentVO);
    public List<RecordContentDTO> getRecordData(RecordDataVO recordContentVO);
}
