package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.QcCasesEntryFindDTO;
import com.diagbot.dto.QcCasesEntryHospitalDTO;
import com.diagbot.entity.QcCasesEntryHospital;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.vo.QcCasesEntryFindVO;
import com.diagbot.vo.QcCasesEntryHospitalVO;

import java.util.List;

/**
 * <p>
 * 病历条目 服务类
 * </p>
 *
 * @author wangfeng
 * @since 2020-04-13
 */
public interface QcCasesEntryHospitalService extends IService<QcCasesEntryHospital> {

    public IPage<List<QcCasesEntryHospitalDTO>> getQcCasesEntryAlls(QcCasesEntryHospitalVO qcCasesEntryHospitalVO);

    List<QcCasesEntryFindDTO> findQcCasesEntryAll(QcCasesEntryFindVO qcCasesEntryFindVO);
}
