package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.QuestionEntryDTO;
import com.diagbot.entity.QcQuestionInfo;
import com.diagbot.entity.wrapper.QuestionInfoWrapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 标签基础表 服务类
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-27
 */
public interface QcQuestionInfoService extends IService<QcQuestionInfo> {

    /**
     * 根据questionMapping获取标签信息
     *
     * @param map 参数
     * @return
     */
    public List<QuestionInfoWrapper> getByQuestionMapping(Map map);

    public List<QuestionEntryDTO> getByCaseEntryIds(Map map);
}
