package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.QcCasesEntrySimpleDTO;
import com.diagbot.entity.QcTypeCasesEntry;
import com.diagbot.vo.QcTypeVO;

import java.util.List;

/**
 * <p>
 * 质控类型和质控条目关联表 服务类
 * </p>
 *
 * @author gaodm
 * @since 2020-04-13
 */
public interface QcTypeCasesEntryService extends IService<QcTypeCasesEntry> {
    List<QcCasesEntrySimpleDTO> getByTypeId(QcTypeVO qcTypeVO);
}
