package com.diagbot.service.impl;

import com.diagbot.entity.HomeDiagnoseInfo;
import com.diagbot.mapper.HomeDiagnoseInfoMapper;
import com.diagbot.service.HomeDiagnoseInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Service
public class HomeDiagnoseInfoServiceImpl extends ServiceImpl<HomeDiagnoseInfoMapper, HomeDiagnoseInfo> implements HomeDiagnoseInfoService {
    /**
     * 根据病案首页编码、医院编码、手术序号批量更新
     * @param list
     */
    public void updateBatchByKey(List<HomeDiagnoseInfo> list){
        this.baseMapper.updateBatchByKey(list);
    }
}
