package com.diagbot.service.impl;

import com.diagbot.entity.MedCrisisInfo;
import com.diagbot.mapper.MedCrisisInfoMapper;
import com.diagbot.service.MedCrisisInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;
/**
 * <p>
 * 危急值信息 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2020-06-02
 */
@Service
public class MedCrisisInfoServiceImpl extends ServiceImpl<MedCrisisInfoMapper, MedCrisisInfo> implements MedCrisisInfoService {

    /**
     * 根据编码、医院编码、病人住院ID-批量更新
     * @param list
     */
    public void updateBatchByKey(List<MedCrisisInfo> list){
        this.baseMapper.updateBatchByKey(list);
    }
}
