package com.diagbot.service.impl;

import com.diagbot.entity.MedicalRecordContent;
import com.diagbot.mapper.MedicalRecordContentMapper;
import com.diagbot.service.MedicalRecordContentService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Service
public class MedicalRecordContentServiceImpl extends ServiceImpl<MedicalRecordContentMapper, MedicalRecordContent> implements MedicalRecordContentService {
    /**
     * 根据文书编码、医院编码
     * @param list
     */
    public void updateBatchByKey(List<MedicalRecordContent> list){
        this.baseMapper.updateBatchByKey(list);
    }
}
