package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.GetModuleInfoOneDTO;
import com.diagbot.entity.QcModuleInfo;
import com.diagbot.mapper.QcModuleInfoMapper;
import com.diagbot.service.QcModuleInfoService;
import com.diagbot.vo.GetModuleInfoOneVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 模型表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-27
 */
@Service
public class QcModuleInfoServiceImpl extends ServiceImpl<QcModuleInfoMapper, QcModuleInfo> implements QcModuleInfoService {

    @Override
    public GetModuleInfoOneDTO getById(GetModuleInfoOneVO getModuleInfoOneVO) {
        return baseMapper.getById(getModuleInfoOneVO);
    }
}
