package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.QuestionEntryDTO;
import com.diagbot.entity.QcQuestionInfo;
import com.diagbot.entity.wrapper.QuestionInfoWrapper;
import com.diagbot.mapper.QcQuestionInfoMapper;
import com.diagbot.service.QcQuestionInfoService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 标签基础表 服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-27
 */
@Service
public class QcQuestionInfoServiceImpl extends ServiceImpl<QcQuestionInfoMapper, QcQuestionInfo> implements QcQuestionInfoService {

    @Override
    public List<QuestionInfoWrapper> getByQuestionMapping(Map map) {
        return baseMapper.getByQuestionMapping(map);
    }

    @Override
    public List<QuestionEntryDTO> getByCaseEntryIds(Map map) {
        return baseMapper.getByCaseEntryIds(map);
    }
}
