package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.QcCasesEntrySimpleDTO;
import com.diagbot.entity.QcTypeCasesEntry;
import com.diagbot.mapper.QcTypeCasesEntryMapper;
import com.diagbot.service.QcTypeCasesEntryService;
import com.diagbot.vo.QcTypeVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 质控类型和质控条目关联表 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2020-04-13
 */
@Service
public class QcTypeCasesEntryServiceImpl extends ServiceImpl<QcTypeCasesEntryMapper, QcTypeCasesEntry> implements QcTypeCasesEntryService {
    @Override
    public List<QcCasesEntrySimpleDTO> getByTypeId(QcTypeVO qcTypeVO) {
        return baseMapper.getByTypeId(qcTypeVO);
    }
}
