package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/5/19 13:39
 */
@Getter
@Setter
public class FilterOrderVO extends FilterVO {
    /**
     * 等级
     */
    private String level;

    /**
     * 排序（升序）
     */
    private String asc;

    /**
     * 排序（降序）
     */
    private String desc;

    /**
     * 科室名称
     */
    private String deptName;

    /**
     * 医生名称
     */
    private String doctorName;
    /**
     * 医生Id
     */
    private String doctorId;

    /**
     * 去年同期起始时间
     */
    private String lastStartDate;
    /**
     * 去年同期结束时间
     */
    private String lastEndDate;
}
