package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-05-15 15:37
 */
@Setter
@Getter
public class ModelHospitalUpdataVO {

    private Long id;
    @NotNull(message = "请输入医院Id")
    private Long hospitalId;
    @NotBlank(message = "请输入医院数据模块名")
    private String hospitalModelName;
    //@NotNull(message = "请输入数据模块Id")
    private Long standModelId;
    //@NotBlank(message = "请输入数据模块名")
    private String standModelName;
    /**
     * 备注
     */
    private String remark;

    private QcAbnormalSaveNameVO qcAbnormalName;
}
