package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/5/15 10:16
 */
@Getter
@Setter
public class QcAbnormalSaveVO {
    /**
     * 主键
     */
    @NotNull(message = "请输入异常数据监控ID")
    private Long id;

    /**
     * 状态(0:未处理，1：已处理)
     */
    @NotNull(message = "请输入处理状态")
    private Integer status;

    /**
     * 备注
     */
    private String remark;
}
