package com.diagbot.vo;

import com.diagbot.util.SysUserUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-04-14 16:08
 */
@Setter
@Getter
public class QcCasesEntryFindVO {
    @ApiModelProperty(hidden = true)
    private Long hospitalId = Long.valueOf(SysUserUtils.getCurrentHospitalID());
    @NotNull(message = "请输入模块id")
    private Long modeId;//模块id
    private String entryName;//条目名
    @NotNull(message = "请输入病人住院ID")
    private String behospitalCode;//病人住院ID
    private String isPlacefile = "1";
}
