package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 质控类型保存入参
 * @Author: ztg
 * @Date: 2018/10/24 16:11
 */
@Data
public class QcTypeSaveVO {

    // 主键
    private Long id;
    // 医院ID
    @ApiModelProperty(hidden = true)
    private Long hospitalId;
    // 质控类型名称
    private String name;
    // 质控类型和质控条目关联信息
    private List<QcTypeCasesEntryVO> qcTypeCasesEntryVOList = new ArrayList<>();
}
