package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/7/16 13:29
 */
@Getter
@Setter
public class ReBeHosPageVO extends Page {
    @ApiModelProperty(hidden = true)
    private Long userId;
    @ApiModelProperty(hidden = true)
    private String hospitalId;
    private String deptName;
    @NotNull(message = "请输入起始时间")
    private Date startDate;
    @NotNull(message = "请输入截止时间")
    private Date endDate;
    /**
     * 病案号
     */
    private String fileCode;
    /**
     * 病人姓名
     */
    private String name;
    /**
     * 是否归档（0：未归档，1：已归档）
     */
    private String isPlacefile = "1";
}
