package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description: 登录参数
 * @Author: ztg
 * @Date: 2018/9/28 13:14
 */
@Getter
@Setter
public class UserLoginNoPassVO {

    @NotBlank(message = "请输入用户名!")
    private String username;

}
