package com.diagbot.vo.data;

import lombok.Data;

@Data
public class AHomeOperationVO {
    /**
     * 病案首页ID
     */
    private String homePageId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 手术序号
     */
    private String operationOrderNo;

    /**
     * 手术日期
     */
    private String operationDate;

    /**
     * 手术编码
     */
    private String operationCode;

    /**
     * 手术医生ID
     */
    private String operationDoctorId;

    /**
     * 一助医生ID
     */
    private String firstAssistantId;

    /**
     * 二助医生ID
     */
    private String secondAssistantId;

    /**
     * 切口等级
     */
    private String cutLevel;

    /**
     * 愈合等级
     */
    private String healingLevel;

    /**
     * 手术名称
     */
    private String operationName;

    /**
     * 手术级别
     */
    private String operationLevel;

    /**
     * 麻醉方式（全麻、局麻、静脉麻醉）
     */
    private String anaesthesiaName;

    /**
     * 拟手术名称
     */
    private String shamOperationName;
}
