package com.diagbot.vo.data;

import lombok.Data;

@Data
public class AStrIllSeriouslVO {
    /**
     * 记录编号
     */
    private String recId;

    /**
     * 医院ID
     */
    private String hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;

    /**
     * 床号
     */
    private String bedNo;

    /**
     * 科别
     */
    private String deptName;

    /**
     * 病历日期
     */
    private String recordDate;

    /**
     * 标题
     */
    private String recTitle;

    /**
     * 当前诊断
     */
    private String currentDiagnosis;

    /**
     * 病情危重情况
     */
    private String criticalSituation;

    /**
     * 患者签名
     */
    private String patientSign;

    /**
     * 患者签名时间
     */
    private String patientSignDate;

    /**
     * 医生签名
     */
    private String doctorSign;

    /**
     * 医生签名时间
     */
    private String doctorSignDate;

    /**
     * 结构化数据
     */
    private String wholeData;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private String gmtCreate;

    /**
     * 记录修改时间
     */
    private String gmtModified;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 修改人
     */
    private String modifier;
}
