package com.diagbot.vo.str;

import lombok.Data;

/**
 * <p>
 * 会诊结果单
 * </p>
 *
 * @author cy
 * @since 2020-10-09
 */
@Data
public class StrConsultationResultVO{
    /**
     * 记录编号
     */
    private String recId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;

    /**
     * 床号
     */
    private String bedNo;

    /**
     * 科别
     */
    private String deptName;

    /**
     * 病历日期
     */
    private String recordDate;

    /**
     * 标题
     */
    private String recTitle;

    /**
     * 入院日期
     */
    private String behospitalDate;

    /**
     * 申请科室
     */
    private String applyDept;

    /**
     * 申请医生
     */
    private String applyDoctor;

    /**
     * 申请日期
     */
    private String applyDate;

    /**
     * 会诊类别
     */
    private String inviteType;

    /**
     * 会诊科室
     */
    private String inviteDept;

    /**
     * 会诊医生
     */
    private String inviteDoctor;

    /**
     * 当前诊断
     */
    private String currentDiagnosis;

    /**
     * 会诊目的
     */
    private String consultationPurpose;

    /**
     * 会诊意见
     */
    private String consultationOpinions;

    /**
     * 会诊到达时间
     */
    private String consultationArriveDate;

    /**
     * 记录医生
     */
    private String recDoctor;

    /**
     * 记录时间
     */
    private String recDate;

    /**
     * 审核医生
     */
    private String auditDoctor;

    /**
     * 审核时间
     */
    private String auditDate;

    /**
     * 结构化数据
     */
    private String wholeData;

    /**
     * 备注
     */
    private String remark;
}
