package com.diagbot.vo.str;

import lombok.Data;

/**
 * <p>
 * 死亡病例讨论记录
 * </p>
 *
 * @author cy
 * @since 2020-10-09
 */
@Data
public class StrDeathDiscussionVO{

    /**
     * 记录编号
     */
    private String recId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;

    /**
     * 床号
     */
    private String bedNo;

    /**
     * 科别
     */
    private String deptName;

    /**
     * 病历日期
     */
    private String recordDate;

    /**
     * 标题
     */
    private String recTitle;

    /**
     * 入院诊断
     */
    private String tentativeDiagnosis;

    /**
     * 死亡诊断
     */
    private String deathDiagnosis;

    /**
     * 死亡原因
     */
    private String deathReason;

    /**
     * 死亡时间
     */
    private String deathDate;

    /**
     * 讨论时间
     */
    private String discussDate;

    /**
     * 讨论地点
     */
    private String discussPlace;

    /**
     * 主持人
     */
    private String anchor;

    /**
     * 参加人员
     */
    private String participant;

    /**
     * 病史简介
     */
    private String briefHistory;

    /**
     * 讨论内容
     */
    private String discussionContent;

    /**
     * 主持人小结
     */
    private String anchorConclusion;

    /**
     * 记录医生
     */
    private String recDoctor;

    /**
     * 记录时间
     */
    private String recDate;

    /**
     * 审核医生
     */
    private String auditDoctor;

    /**
     * 审核时间
     */
    private String auditDate;

    /**
     * 结构化数据
     */
    private String wholeData;

    /**
     * 备注
     */
    private String remark;
}
