package com.diagbot.vo.str;

import lombok.Data;

/**
 * <p>
 * 转出记录
 * </p>
 *
 * @author cy
 * @since 2020-10-09
 */
@Data
public class StrTransferOutNoteVO {

    /**
     * 记录编号
     */
    private String recId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;

    /**
     * 床号
     */
    private String bedNo;

    /**
     * 科别
     */
    private String deptName;

    /**
     * 病历日期
     */
    private String recordDate;

    /**
     * 标题
     */
    private String recTitle;

    /**
     * 转入日期
     */
    private String transferInDate;

    /**
     * 转出科室
     */
    private String transferOutDept;

    /**
     * 转入科室
     */
    private String transferInDept;

    /**
     * 主诉
     */
    private String chief;

    /**
     * 入院情况
     */
    private String behospitalSituation;

    /**
     * 目前病情
     */
    private String currentSituation;

    /**
     * 入院诊断
     */
    private String tentativeDiagnosis;

    /**
     * 诊疗经过
     */
    private String treatmentProcess;

    /**
     * 目前诊断
     */
    private String currentDiagnosis;

    /**
     * 转入诊疗计划
     */
    private String treatPlan;

    /**
     * 记录医生
     */
    private String recDoctor;

    /**
     * 记录时间
     */
    private String recDate;

    /**
     * 审核医生
     */
    private String auditDoctor;

    /**
     * 审核时间
     */
    private String auditDate;

    /**
     * 结构化数据
     */
    private String wholeData;

    /**
     * 备注
     */
    private String remark;

}
